/*
	AppleGuideBehavior.r
	MacApp Resources for AppleGuide
	Copyright  1987 by Apple Computer, Inc. All rights reserved.
*/

/*
	Change History:
		08/24/97	bpa		Created.
*/

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __UAAPPLEGUIDETYPES__
#include "UAppleGuideTypes.h"
#endif

#define kAppleGuideAEDispatchTable 	390

//----------------------------------------------------------------------------------------
// AppleEvents DispatchTable
//----------------------------------------------------------------------------------------

resource 'aedt' (kAppleGuideAEDispatchTable)
{
	{
		kCreatorType,	kSystemMenuChosenAevtID,	cSystemMenuChosen;
		kCreatorType,	kChooseCommandMenuAevtID,	cChooseCommandMenu;
		kCreatorType,	kClickViewAevtID,				cClickView;
	}
};
