/*
 *	UMenuedWindow.h
 *
 *	Copyright 1991 Imagenetics
 *	All rights reserved
 *
 *	19 Aug 91  EMB  Created file
 *	22 Aug 91  EMB  Modified design to be standalone unit
 *	28 Oct 91  LPG  Cleaned up header.
 *
 */

#ifndef	__UMENUEDWINDOW__
#define	__UMENUEDWINDOW__

#ifndef	__UFLOATWINDOW__
#include <UFloatWindow.h>
#endif

//----------------------------------------------------------------------------------------
// Global constant
//----------------------------------------------------------------------------------------

const IDType	kMenuedWindowBehavior = 'MUWD';

//----------------------------------------------------------------------------------------
// CLASS TFloatMenuedWindow
//----------------------------------------------------------------------------------------

class TFloatMenuedWindow : public TFloatWindow
{
	DeclareClass(TFloatMenuedWindow);

public:
	// Construction/Destruction
	virtual void	DoPostCreate(TDocument* itsDocument);			//	OVERRIDE
	virtual	~TFloatMenuedWindow();											//	OVERRIDE
};

//----------------------------------------------------------------------------------------
// CLASS TMenuedWindow
//----------------------------------------------------------------------------------------

class TMenuedWindow : public TWindow
{
	DeclareClass(TMenuedWindow);

public:
	// Construction/Destruction
	virtual void	DoPostCreate(TDocument* itsDocument);			//	OVERRIDE
	virtual	~TMenuedWindow();											//	OVERRIDE
};

//----------------------------------------------------------------------------------------
// Global initialization procedure
//----------------------------------------------------------------------------------------

void InitUMenuedWindow(ResNumber menuID);

#endif
