//----------------------------------------------------------------------------------------
// UMacAppletApplication.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/26/97	bpa		Created.
*/

#ifndef __UMACAPPLETAPPLICATION__
#define __UMACAPPLETAPPLICATION__

#ifndef __UJAVAAPPLICATION__
#include "UJAVAAPPLICATION.h"
#endif

//----------------------------------------------------------------------------------------
// TMacAppletApplication
//----------------------------------------------------------------------------------------

class TMacAppletApplication : public TJavaApplication
{

public:
	TMacAppletApplication(OSType itsMainFileType = kTextType_AC, OSType	itsCreator = kAllQuestionsType_AC);

	virtual ~TMacAppletApplication();
	
	// Overridden MacApp methods
	
	virtual void DoAboutBox();

	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);

	virtual void DoMenuCommand(CommandNumber aCommandNumber);

	virtual void DoSetupMenus();

	// New methods
	
	virtual void LocalApplet();
	
	virtual void RemoteApplet();
	
	virtual void EmbeddedApplet();
	
	virtual void ResourceApplet();
	
	virtual void ReloadApplet();
	
	virtual void RestartApplet();
	
	virtual void SuspendApplet();
	
	virtual void ResumeApplet();
	
	virtual void ShowAppletTag();
};

#endif


