// USSApplication.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __USSApplication__
#define __USSApplication__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

// Constants

const OSType kFileType		= 'TEXT';	// We don't really have a file type.
const OSType kSignature		= 'SS02';	// We need a real signature for this example.

//----------------------------------------------------------------------------------------
// TSSApplication
//----------------------------------------------------------------------------------------

class TSSApplication: public TApplication
{
	MA_DECLARE_CLASS;

public:
	TSSApplication()
		:	TApplication(kFileType, kSignature) {  }
	virtual ~TSSApplication() { }
	
	// Commands
	virtual void DoSetupMenus();	
	virtual void DoMenuCommand(CommandNumber aCommandNumber);

	// Window Management
	bool MakeAWindow(CommandNumber aWindowNumber);
};	

#endif
