// CSeparator_AC.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#ifndef __CSeparator_AC__
#include "CSeparator_AC.h"
#endif

// Appearance

#ifndef __AGAImaging_AC__
#include "AGAImaging_AC.h"
#endif

//========================================================================================
// CSeparator_AC
// This class draws a separator line. It knowns whether it's horizontal or
// vertical based on the larger dimension.
//========================================================================================

//----------------------------------------------------------------------------------------
// CSeparator_AC::CSeparator_AC
//----------------------------------------------------------------------------------------

CSeparator_AC::CSeparator_AC(const CRect_AC& bounds)
: CControl_AC(bounds)
{
	// Call superclass constructor.
}

//----------------------------------------------------------------------------------------
// CSeparator_AC::~CSeparator_AC
//----------------------------------------------------------------------------------------

CSeparator_AC::~CSeparator_AC()
{
}

//----------------------------------------------------------------------------------------
// CSeparator_AC::DrawObject
//----------------------------------------------------------------------------------------

void CSeparator_AC::DrawObject()
{
	AGADrawSeparator(GetBounds(), fEnabled && fActive, fDisabledBackgroundColor, kSeparatorAutomatic);
}


