//----------------------------------------------------------------------------------------
// ColorRamp_AC.cp
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright  1996 by Trygve Isaacson.
//----------------------------------------------------------------------------------------

#ifndef __ColorRamp_AC__
#include "ColorRamp_AC.h"
#endif

// These are the AGA-specified color values.
const CRGBColor_AC kRGBColorRamp[kNumRampColors] = {
	CRGBColor_AC(65535, 65535, 65535),	// rW	white
	CRGBColor_AC(61166, 61166, 61166),	// r1	lightest gray
	CRGBColor_AC(56797, 56797, 56797),	// r2
	CRGBColor_AC(52428, 52428, 52428),	// r3
	CRGBColor_AC(48059, 48059, 48059),	// r4	light grays
	CRGBColor_AC(43690, 43690, 43690),	// r5
	CRGBColor_AC(39321, 39321, 39321),	// r6
	CRGBColor_AC(34952, 34952, 34952),	// r7
	CRGBColor_AC(30583, 30583, 30583),	// r8	dark grays
	CRGBColor_AC(26214, 26214, 26214),	// r9
	CRGBColor_AC(21845, 21845, 21845),	// r10
	CRGBColor_AC(17476, 17476, 17476),	// r11
	CRGBColor_AC(13107, 13107, 13107),	// r12	darkest "n" gray
	CRGBColor_AC(8738, 8738, 8738),		// rA1	additional darker gray value 1
	CRGBColor_AC(4369, 4369, 4369),		// rA2	additional darker gray value 2
	CRGBColor_AC(0, 0, 0),				// rB	black
	
	CRGBColor_AC(52428, 52428, 65535),	// rP1	lightest purple
	CRGBColor_AC(39321, 39321, 65535),	// rP2	light purple
	CRGBColor_AC(26214, 26214, 65535),	// rP3	dark purple
	CRGBColor_AC(13107, 13107, 26214),	// rP4	darkest purple
	
	CRGBColor_AC(0xCCCC, 0xCCCC, 0xFFFF),	// reP empty progress (Finder 7 style)
	CRGBColor_AC(0x4000, 0x4000, 0x4000)	// rFP filled progress (Finder 7 style)
};

