//----------------------------------------------------------------------------------------
// CTCPAcceptor.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network

#ifndef __CTCPAcceptor_AC__
#include "CTCPAcceptor_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif


//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC::CTCPAcceptor_AC
//----------------------------------------------------------------------------------------

CTCPAcceptor_AC::CTCPAcceptor_AC(CReactor_AC* inReactor,  CServiceHandlerFactory_AC* inFactory)
	: CAcceptor_AC(inReactor, inFactory)
{
}

//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC::~CTCPAcceptor_AC
//----------------------------------------------------------------------------------------

CTCPAcceptor_AC::~CTCPAcceptor_AC()
{
}

//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC::CreateConnection
//----------------------------------------------------------------------------------------

CServiceHandler_AC* CTCPAcceptor_AC::CreateConnection(CReactor_AC* inReactor)
{
	return TH_new CTCPConnection_AC(inReactor);
}

//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC::ListenTo
//----------------------------------------------------------------------------------------

void CTCPAcceptor_AC::ListenTo(CInternetPortID_AC inLocalPort)
{
	CAcceptor_AC::ListenTo(CInternetAddress_AC(0, inLocalPort), CInternetAddress_AC() );
}

//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC::ListenTo
//----------------------------------------------------------------------------------------

void CTCPAcceptor_AC::ListenTo(CInternetPortID_AC inLocalPort, const CInternetAddress_AC& remoteAddress)
{
	CAcceptor_AC::ListenTo(CInternetAddress_AC(0, inLocalPort), remoteAddress );
}