//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPInternetUtilsRep_AC__
#define __CMacTCPInternetUtilsRep_AC__

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif

#if qWantsMacTCP_AC

//----------------------------------------------------------------------------------------
// class CMacTCPInternetUtilsRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPInternetUtilsRep_AC : public CInternetUtilsRep_AC
{
public:
	CMacTCPInternetUtilsRep_AC();

	virtual ~CMacTCPInternetUtilsRep_AC();

	virtual void ConvertAddressToString(char* str, CInternetHostID_AC host );

	virtual void ConvertStringToAddress(CInternetHostID_AC& host, const char* str);

	virtual CInternetAddress_AC GetLocalAddress();

	virtual void SetMaxNumTCPConnections(unsigned long max);

	virtual unsigned long GetMaxNumTCPConnections() const;

	virtual unsigned long GetTCPConnectionCount() const;

	virtual bool IsOpen() const;

};

#endif

#endif