//----------------------------------------------------------------------------------------
// CMacTCPOpenTCPStream_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CMacTCPOpenTCPStream_AC__
#define __CMacTCPOpenTCPStream_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// forward references

class CReactor_AC;
class CMacTCPStream_AC;
class CInternetAddress_AC;


//----------------------------------------------------------------------------------------
// class CMacTCPOpenTCPStream_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPOpenTCPStream_AC : public MEventTransceiver_AC
{
public:
	CMacTCPOpenTCPStream_AC(CReactor_AC* inReactor);
	
	virtual ~CMacTCPOpenTCPStream_AC();
	
	virtual CMacTCPStream_AC* Open();
	
};

#endif

#endif