//----------------------------------------------------------------------------------------
// CMacTCPProvider_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __Net_AC__
#include "Net_AC.h"
#endif


#if qWantsMacTCP_AC

#ifndef __CMacTCPProvider_AC__
#include "CMacTCPProvider_AC.h"
#endif

#ifndef __Devices__
#include <Devices.h>
#endif


short CMacTCPProvider_AC::fgMacTCPRef = 0;

//----------------------------------------------------------------------------------------
// CMacTCPProvider_AC::InitProvider
//----------------------------------------------------------------------------------------

void CMacTCPProvider_AC::InitProvider() 
{
	if(!fgMacTCPRef)
	{
		ParamBlockRec		pb;
		::Erase_AC(&pb);
		
		pb.ioParam.ioCompletion		= 0; 
		pb.ioParam.ioNamePtr		= "\p.ipp"; 
		pb.ioParam.ioPermssn		= fsCurPerm;
		
		OSErr osErr = ::PBOpenSync(&pb);

		if (noErr == osErr) 
		{
			fgMacTCPRef	= pb.ioParam.ioRefNum;
		}
		else
			::ThrowError_AC(osErr);
	}
}

#endif