//----------------------------------------------------------------------------------------
// CNetworkAddress_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Pattern includes

#ifndef __CNetworkAddress_AC__
#include "CNetworkAddress_AC.h"
#endif

#ifndef __cstring__
#include <string.h>
#endif

//----------------------------------------------------------------------------------------
//  CNetworkAddress_AC::operator ==
//----------------------------------------------------------------------------------------
	
bool CNetworkAddress_AC::operator == (const char* inAddressString) const
{
	return ::strcmp(GetAsString(), inAddressString) == 0;
}

//----------------------------------------------------------------------------------------
// CNetworkAddress_AC::operator !=
//----------------------------------------------------------------------------------------
	
bool CNetworkAddress_AC::operator != (const char* inAddressString) const
{
	return ::strcmp(GetAsString(), inAddressString) != 0;
}

//----------------------------------------------------------------------------------------
// CNetworkAddress_AC::operator ==
//----------------------------------------------------------------------------------------
	
bool CNetworkAddress_AC::operator == (const CStr255_AC& inAddressString) const
{
	return ::strcmp(GetAsString(), inAddressString) == 0;
}

//----------------------------------------------------------------------------------------
// CNetworkAddress_AC::operator !=
//----------------------------------------------------------------------------------------
	
bool CNetworkAddress_AC::operator != (const CStr255_AC& inAddressString) const
{
	return ::strcmp(GetAsString(), inAddressString) != 0;
}