//----------------------------------------------------------------------------------------
// CProvider_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network includes

#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif

CAutoPtr_AC<CProvider_AC> CProvider_AC::fgSelf;

//----------------------------------------------------------------------------------------
// InitNetworkSuite_AC
//----------------------------------------------------------------------------------------
	
bool InitNetworkSuite_AC()
{
	CProvider_AC::Open();
	
	return CProvider_AC::IsOpen();
}


//----------------------------------------------------------------------------------------
// CProvider_AC::CProvider_AC
//----------------------------------------------------------------------------------------
	
CProvider_AC::CProvider_AC() 
{
}

//----------------------------------------------------------------------------------------
// CProvider_AC::~CProvider_AC
//----------------------------------------------------------------------------------------
	
CProvider_AC::~CProvider_AC() 
{
}

//----------------------------------------------------------------------------------------
// CProvider_AC::IsOpen
//----------------------------------------------------------------------------------------
	
bool CProvider_AC::IsOpen()
{
	if(!fgSelf)
		Open();
	
	return fgSelf->IsOpen();
}

//----------------------------------------------------------------------------------------
// CProvider_AC::Open
//----------------------------------------------------------------------------------------
	
void CProvider_AC::Open()
{
	if(!fgSelf)
		fgSelf = CreateProvider();
}