//----------------------------------------------------------------------------------------
// NetEvents_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

#if qNetDebug_AC


#ifndef __Debug_AC__
#include "Debug_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CNetEvent_AC::What
//----------------------------------------------------------------------------------------

const char* CNetEvent_AC::What(long inID)
{
	static const CDebug_AC::SLookupTable kTable[] = 
	{
		{ "kNullEvent", kNullEvent},
		{ "kError", kError},
		{ "kIncomingData", kIncomingData},
		{ "kSentData", kSentData},
		{ "kReceivedData", kReceivedData},
		{ "kResendData", kResendData},
		{ "kConnectionTerminated",kConnectionTerminated},
		{ "kProvider", kProvider},
		{ "kProviderOpen", kProviderOpen},
		{ "kTimedOut", kTimedOut},
		{ 0, 0 },
	};	

	return CDebug_AC::TableLookup(kTable, inID );
	
}



#endif