//----------------------------------------------------------------------------------------
// CAbstractMonitorLock_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Copyright (C) 1994 Taligent, Inc.
//----------------------------------------------------------------------------------------

#ifndef __CAbstractMonitorLock_AC__
#define __CAbstractMonitorLock_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

//----------------------------------------------------------------------------------------
//  CAbstractMonitorLock_AC
//
//  Provides the lock for a monitor (class) object.
//----------------------------------------------------------------------------------------

class EXPORT_AC   CAbstractMonitorLock_AC 
{

public:

    CAbstractMonitorLock_AC();

    virtual ~CAbstractMonitorLock_AC();

	virtual void    	    Acquire() = 0;
	virtual void    	    Release() = 0;

private:
	CAbstractMonitorLock_AC ( const CAbstractMonitorLock_AC& );
	CAbstractMonitorLock_AC& operator = ( const CAbstractMonitorLock_AC& );
};

#endif // CAbstractMonitorLock_AC
