//----------------------------------------------------------------------------------------
// Instrumentation_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __Instrumentation_AC__
#define __Instrumentation_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

// INSTRUMENTATION_ACTIVE is Instrumentation's compile-time define.  We set it up here.
#ifdef INSTRUMENTATION_ACTIVE
#undef INSTRUMENTATION_ACTIVE
#endif

#if qInstrumentation
#	define INSTRUMENTATION_ACTIVE qThreadDebug
#endif

#if INSTRUMENTATION_ACTIVE
#	ifndef __INSTRUMENTATIONMACROS__
#	include "InstrumentationMacros.h"
#	endif
#else
// We must define the instrumentation macros ourselves so they can get compiled out
#	define TRACE_SETUP		NULL
#	define LOG_ENTRY( n )	NULL
#	define LOG_EXIT			NULL
#endif

#endif
