//----------------------------------------------------------------------------------------
// CTidyHeapFlag_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTidyHeapFlag_AC__
#define __CTidyHeapFlag_AC__

class EXPORT_AC CTidyHeapFlag_AC
{
public:
	CTidyHeapFlag_AC() : fPref(false) {}
	CTidyHeapFlag_AC(const CTidyHeapFlag_AC& inPref) : fPref(inPref.fPref) {}
	CTidyHeapFlag_AC(bool inPref) : fPref(inPref) {}
	~CTidyHeapFlag_AC() {}
	
	// assignment
	CTidyHeapFlag_AC& operator = (const CTidyHeapFlag_AC& inPref)
	{	fPref = inPref.fPref; return *this; }
	void operator = (bool inPref)
	{	fPref = inPref; }
	
	// comparison
	bool operator == (const CTidyHeapFlag_AC& inPref) const
	{	return fPref == inPref.fPref; }
	bool operator != (const CTidyHeapFlag_AC& inPref) const
	{	return fPref != inPref.fPref; }

	bool operator == (bool inPref) const
	{	return fPref == inPref; }
	bool operator != (bool inPref) const
	{	return fPref != inPref; }

	// conversion
	operator const bool& () const
	{	return fPref; }

	operator bool& ()
	{	return fPref; }
	
	// setters/getters
	bool operator () () const
	{	return fPref; }
	
	void operator () (bool inVal)
	{	fPref = inVal; }
	
private:
	bool fPref;
};


#endif