//----------------------------------------------------------------------------------------
// CTidyHeapList_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CTidyHeapList_AC__
#define __CTidyHeapList_AC__

#if 0

#ifndef __ConditionalMacros_AC__
#include "ConditionalMacros_AC.h"
#endif
#endif
// Toolbox 

#ifndef __TYPES__
#include <Types.h>
#endif

// TidyHeap

#ifndef __MTidyHeapAllocator_AC__
#include "MTidyHeapAllocator_AC.h"
#endif

//----------------------------------------------------------------------------------------
// class CTidyHeapList_AC
//----------------------------------------------------------------------------------------

class CTidyHeapListItem_AC;
class EXPORT_AC CTidyHeapList_AC : public MTidyHeapAllocator_AC
{
public:
	CTidyHeapList_AC();
	~CTidyHeapList_AC();
	
	void Push(CTidyHeapListItem_AC* inItem);
	void Append(CTidyHeapListItem_AC* inItem);
	
	void Remove(CTidyHeapListItem_AC* inItem);
	
	CTidyHeapListItem_AC* GetHead();
	CTidyHeapListItem_AC* GetTail();

	long GetCount() const;
	bool IsEmpty() const;
		
protected:
	long 					fCount;
	CTidyHeapListItem_AC* 	fHead;
	CTidyHeapListItem_AC* 	fTail;
};

//----------------------------------------------------------------------------------------
// inlines
//----------------------------------------------------------------------------------------

inline CTidyHeapListItem_AC* CTidyHeapList_AC::GetHead()	{ return fHead; }
inline CTidyHeapListItem_AC* CTidyHeapList_AC::GetTail() 	{ return fTail; }
inline long CTidyHeapList_AC::GetCount() const { return fCount; }
inline bool CTidyHeapList_AC::IsEmpty() const { return fCount == 0; }



#endif
