//----------------------------------------------------------------------------------------
// Core_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Note on Core_AC.h inclusion policy:
	
	To get the files that are included by Core_AC.h you are required to include
	Core_AC.h. Including the files included here directly before Core_AC.h will result 
	in a a compile error. Note also that these files do not include Core_AC.h 	
	intentionally, they are the ONLY files allowed to break this rule. The biggest
	reason for this strict policy is too make sure the ConditionalMacros_AC.h and 
	CoreSwitches_AC.h are included before anything else.
*/

#ifndef __Core_AC__
#define __Core_AC__

#ifndef __CoreSwitches_AC__
#include "CoreSwitches_AC.h"
#endif

#ifndef __ConditionalMacros_AC__
#include "ConditionalMacros_AC.h"
#endif

#ifndef __Platform_AC__
#include "Platform_AC.h"
#endif

#ifndef __Types_AC__
#include "Types_AC.h"
#endif

#ifndef __CException_AC__
#include "CException_AC.h"
#endif

#ifndef __CAssertionFailure_AC__
#include "CAssertionFailure_AC.h"
#endif

#ifndef __Utils_AC__
#include "Utils_AC.h"
#endif

#ifndef __MemoryUtils_AC__
#include "MemoryUtils_AC.h"
#endif

#ifndef __CReporter_AC__
#include "CReporter_AC.h"
#endif

#ifndef __Debug_AC__
#include "Debug_AC.h"
#endif


#endif

