//----------------------------------------------------------------------------------------
// CFileStream_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// Originally written by Larry S. Rosenstein. Used by permission
//----------------------------------------------------------------------------------------


#ifndef __CFileStream_AC__
#define __CFileStream_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

// ACS

#ifndef __CRandomAccessStream_AC__
#include "CRandomAccessStream_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward class declarations. 
//----------------------------------------------------------------------------------------

class CFile_AC;

//----------------------------------------------------------------------------------------
// CFileStream_AC: This implements a stream on a file. The client is responsible for opening
// and closing the file. 
//----------------------------------------------------------------------------------------

class EXPORT_AC CFileStream_AC : public CRandomAccessStream_AC
{
public:
	//------------------------------------------------------------------------------------
	// Creation/Destruction 
	//------------------------------------------------------------------------------------

	CFileStream_AC(CFile_AC* itsFile = NULL);
		// Constructor

	virtual ~CFileStream_AC();
		// Destructor
};


#endif // __CFileStream_AC__
