// TextBox_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.


 
#ifndef __TextBox_AC__
#define __TextBox_AC__

#ifndef __Imaging_AC__
#include "Imaging_AC.h"
#endif

// ACS

#ifndef __CRect_AC__
#include "CRect_AC.h"
#endif

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

const bool kAutoWrap = true;					// Want to AutoWrap (for MATextBox)
const bool kNoAutoWrap = !kAutoWrap;			// Don't want to AutoWrap (for MATextBox) 
const bool kEraseFirst = true;					// Want to erase first (for MATextBox) 
const bool kNoEraseFirst = !kEraseFirst;		// Don't want to erase first (for
                                                // MATextBox)
const bool kSpaceForCaret = true;				// Want to leave space for an insertion
                                                // caret(forMATextBox)

const bool kNoSpaceForCaret = !kSpaceForCaret;	// Don't want to leave space for an
                                                // insertioncaret(forMATextBox)

EXPORT_AC void TextBox_AC(Ptr text,
			   short itsLength,
			   const CRect_AC& box,
			   short itsJust,
			   bool autoWrap = kAutoWrap,
			   ProcPtr wordBreak = NULL,
			   bool eraseFirst = kNoEraseFirst,
			   bool spaceForCaret = kSpaceForCaret,
			   bool preferOutline = kDontPreferOutlineFonts);
// Implements a superset of TETextBox functionality, with defaultable arguments so it can be used
// as a replacement call.
	
#endif // __TextBox_AC__