//----------------------------------------------------------------------------------------
// CoreStreaming_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CoreStreaming_AC__
#include "CoreStreaming_AC.h"
#endif

#ifndef __CStream_AC__
#include "CStream_AC.h"
#endif

#ifndef __CPascalString_AC__
#include "CPascalString_AC.h"
#endif

//----------------------------------------------------------------------------------------
// operator << 
//----------------------------------------------------------------------------------------

CStream_AC& operator << (CStream_AC& inStream, const CCharStr_AC& inString)
{	
	inStream.WriteBytes( (const char*) inString, inString.Length()); 
	return inStream; 
}

//----------------------------------------------------------------------------------------
// operator << 
//----------------------------------------------------------------------------------------
CStream_AC& operator << (CStream_AC& inStream, const CPascalStr_AC& inString)
{	
	inStream.WriteBytes( (const char*) CChar255_AC(inString), inString.Length()); 
	return inStream; 
}
