// UApplicationTempoGridView.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 

#ifndef __UApplicationTempoGridView__
#define __UApplicationTempoGridView__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

//----------------------------------------------------------------------------------------
// TApplicationTempoGridView
//----------------------------------------------------------------------------------------

class TApplicationTempoGridView: public TApplication
{
public:
	
	TApplicationTempoGridView();
		// Constructor
	
	virtual ~TApplicationTempoGridView();
		// Destructor
	
	// Documents
	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);	//	Override
	
	// Commands
	virtual void DoSetupMenus(); // Override		
	virtual void DoMenuCommand(CommandNumber aCommandNumber); // Override
	
};	

#endif
