//----------------------------------------------------------------------------------------
// MTidyHeap.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


// TidyHeap

#ifndef __UApplicationTidyHeap__
#include "UApplicationTidyHeap.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif


//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitUBackgroundAdorner();
		
	TApplicationTidyHeap tidyHeapDirector;				// Allocate application object
	tidyHeapDirector.Run();								//	Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MTidyHeap.cp
