//----------------------------------------------------------------------------------------
// UApplicationTidyHeap.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------



#ifndef __UApplicationTidyHeap__
#define __UApplicationTidyHeap__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif


extern const OSType kFileType;	// File-type code used for document files 
extern const OSType kSignature;	// Application signature


//----------------------------------------------------------------------------------------
// class TApplicationTidyHeap
//----------------------------------------------------------------------------------------

class TApplicationTidyHeap: public TApplication
{
	MA_DECLARE_CLASS;

public:
	
	TApplicationTidyHeap();
		// Constructor
	
	virtual ~TApplicationTidyHeap();
		// Destructor
	
	// Documents
	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);	//	Override
	
	// Commands
	virtual void DoSetupMenus(); // Override		
	virtual void DoMenuCommand(CommandNumber aCommandNumber); // Override
	
	virtual void DoAboutBox();
	
};	

#endif
