//----------------------------------------------------------------------------------------
// MRowSelect.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// RowSelect

#ifndef __UApplicationRowSelect__
#include "UApplicationRowSelect.h"
#endif

#ifndef __TRowSelectGridView__
#include "TRowSelectGridView.h"
#endif
	
// MacApp

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __USTATICTEXT__
#include "UStaticText.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUPrinting();									// Initialize the printing gear
	InitUTEView();										// Initialize the text editing unit 
	InitUStaticText();
	InitUGridView();									// Initialize the GridView unit
	
	InitTRowSelectGridView();		// Initialize the TRowSelectGridView unit
	
	TApplicationRowSelect aApplicationRowSelect;		// Allocate application object
	aApplicationRowSelect.Run();						//	Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MRowSelect.cp
