// UViewSkeleton.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 


#ifndef __TRowSelectGridView__
#define __TRowSelectGridView__

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

//----------------------------------------------------------------------------------------
// TViewSkeleton
//----------------------------------------------------------------------------------------

class TRowSelectGridView : public TTextGridView
{
	MA_DECLARE_CLASS;
public:
	TRowSelectGridView();
	virtual ~TRowSelectGridView();
	
	virtual void DoMouseCommand(CViewPoint&			theMouse,
								TToolboxEvent*	event,
								CPoint_AC			hysteresis);
	virtual CStr255_AC GetText(const GridCell& aCell) const;
};

//----------------------------------------------------------------------------------------
// Global initialization procedure
//----------------------------------------------------------------------------------------

extern void InitTRowSelectGridView();
	// Call this routine at initialization time

#endif
