//----------------------------------------------------------------------------------------
// Main.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// CDNRSampleApp

#ifndef __CDNRSampleApp__
#include "CDNRSampleApp.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitInternetSuite_AC();

	// We could register all background adorners by calling InitUBackgroundAdorner,
	// or we could register only the adorners this example uses in its views.  
	// In this example, we only register what's necessary.
	// InitUBackgroundAdorner();

	MA_REGISTER_CLASS(TModalBackgroundAdorner);
	MA_REGISTER_CLASS(TFlatBackgroundBehavior);
	MA_REGISTER_CLASS(TBorderFrameAdorner);
		
	CDNRSampleApp dnrSample;							// Allocate application object
	dnrSample.Run();									// Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MCDNRSampleApp.cp
