//----------------------------------------------------------------------------------------
// Main.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// CDropenerApp

#ifndef __CDropenerApp__
#include "CDropenerApp.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif


//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit

	InitUBackgroundAdorner();
	
	InitInternetSuite_AC();
	
	CDropenerApp dropener;								// Allocate application object
	dropener.Run();										// Well lets run it then!

	//	CTidyHeap_AC::Instance()->GetFeaturePrefs().SetFlag( CTidyHeapSettings_AC::kLogUndeletedBlocks, false );
}

//----------------------------------------------------------------------------------------
// End of MCDropenerApp.cp
