//----------------------------------------------------------------------------------------
// ULogWindow.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __ULogWindow__
#define __ULogWindow__

#ifndef __UTEViewStream__
#include "UTEViewStream.h"
#endif
 
//----------------------------------------------------------------------------------------
// class TLogWindow
//----------------------------------------------------------------------------------------

class TLogWindow : 	public TTEViewStream
{
public:

	enum { 	kDefaultWindowID 	= 1000 };
	
	TLogWindow(); 
	
	virtual ~TLogWindow();
	
	TWindow* GetWindow()
	{	return fWindow; }

	void Show();
		// window is not shown by default

	void ReadViewsFromResource(	short id = kDefaultWindowID, 
								OSType TEViewID = kDefaultViewResourceID);
	
private:
	TWindow* 	fWindow;
};


#endif