//----------------------------------------------------------------------------------------
// Main.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// CWebinatorApp

#ifndef __CWebinatorApp__
#include "CWebinatorApp.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif


//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main ()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitInternetSuite_AC();

	CWebinatorApp webinator;							// Allocate application object
	webinator.Run();									//	Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MCWebinatorApp.cp
