// UQD3DDocument.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UQD3DDocument__
#define __UQD3DDocument__


/*
#ifndef  QD3D_h
#include "QD3D.h"
#endif
*/

#ifndef __UDOCUMENT__
#include "UDocument.h"
#endif

#ifndef __UQD3DView__
#include "UQD3DView.h"
#endif

#ifndef __UQD3DViewWindow__
#include "UQD3DViewWindow.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
const ChangeID_AC kOriginChange 		= 5000;
const ChangeID_AC kOrientationChange 	= 5001;
const ChangeID_AC kMajorAxisChange 	= 5002;
const ChangeID_AC kMinorAxisChange 	= 5003;

//----------------------------------------------------------------------------------------
// TQD3DDocument
//----------------------------------------------------------------------------------------

class TQD3DDocument: public TDocument
{
	MA_DECLARE_CLASS;
	
  public:
	TQD3DDocument();
	virtual ~TQD3DDocument();

	virtual void  DoMakeViews(bool forPrinting);
	virtual void  DoUpdate(ChangeID_AC theChange, MDependable_AC* changedObject,
							void* changeData, CDependencySpace_AC* dependencySpace);
private:
	TQD3DViewWindow*	fQD3DWindow;
};

#endif
