//----------------------------------------------------------------------------------------
// UThreadingIdler.cp 
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UTHREADINGIDLER__
#include "UThreadingIdler.h"
#endif

#ifndef __THREADS__
#include <Threads.h>
#endif

//========================================================================================
// CLASS TThreadIdler
//========================================================================================
#undef Inherited
#define Inherited TEventHandler


MA_DEFINE_CLASS(TThreadIdler);

//----------------------------------------------------------------------------------------
// TThreadIdler constructor
//----------------------------------------------------------------------------------------


TThreadIdler::TThreadIdler()
{
	SetIdleFreq(0);								// This sample never sleeps.
}

//----------------------------------------------------------------------------------------
// TThreadIdler::DoIdle: 
//----------------------------------------------------------------------------------------


bool TThreadIdler::DoIdle(IdlePhase)
{
	::YieldToAnyThread();
	return false;								// Did not free myself 
}

