//----------------------------------------------------------------------------------------
// MDemoDialogs.cp
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UDEMODIALOGS__
#include "UDemoDialogs.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UDRAGDROP__
#include "UDragDrop.h"
#endif

#ifndef __UFLOATWINDOW__
#include "UFloatWindow.h"
#endif

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __UTEVIEW__
#include "UTEView.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(6);							// Initialize MacApp; 6 calls to MoreMasters

	InitUTEView();
	InitUDialog();
	InitUDragManager();
	InitUGridView();
	InitUFloatWindow();
	InitUPrinting();
	
	TTestApplication aTestApplication;
	aTestApplication.Run();
}

//----------------------------------------------------------------------------------------
// End of MDemoDialogs.cp
