// UApplicationSkeleton.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UAPPLICATIONSKELETON__
#define __UAPPLICATIONSKELETON__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

//----------------------------------------------------------------------------------------
// TApplicationSkeleton
//----------------------------------------------------------------------------------------

class TApplicationSkeleton: public TApplication
{
	MA_DECLARE_CLASS;

public:
	TApplicationSkeleton();
		// Constructor
	
	virtual ~TApplicationSkeleton();
		// Destructor
	
	// Documents
	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);	//	Override
	
	// Commands
	virtual void DoSetupMenus(); // Override		
	virtual void DoMenuCommand(CommandNumber aCommandNumber); // Override
};	

#endif
