#ifndef __UODDefaults__
#define __UODDefaults__

// A Rez-compatible header file

// OpenDoc menus
// !!! Move into MacAppTypes.r

// CMNU id's
#define mODApple		1
#define mODDocument		2
#define mODEdit			3

// MENU id's
#define mODMENUApple		127
#define mODMENUDocument		128
#define mODMENUEdit			129

// OpenDoc Command numbers (snarfed from CmdDefs.h)
// ??? These need to be added to ALOE.h?

#define kODCommandShellFirst 1000 /* 1000 */
#define kODCommandShellLast 20000 /* 20000 */
#define kODCommandAppleMenu 1000 /* 1000 */
#define kODCommandAbout 1001 /* 1001 */
#define kODCommandDocumentMenu 2000 /* 2000 */
#define kODCommandNew 2001 /* 2001 */
#define kODCommandOpen 2002 /* 2002 */
#define kODCommandOpenDocument 2003 /* 2003 */
#define kODCommandInsert 2004 /* 2004 */
#define kODCommandClose 2005 /* 2005 */
#define kODCommandDeleteDocument 2006 /* 2006 */
#define kODCommandSave 2007 /* 2007 */
#define kODCommandSaveACopy 2008 /* 2008 */
#define kODCommandRevert 2009 /* 2009 */
#define kODCommandDraft 2010 /* 2010 */
#define kODCommandDocumentInfo 2011 /* 2011 */
#define kODCommandPageSetup 2012 /* 2012 */
#define kODCommandPrint 2013 /* 2013 */
#define kODCommandEditMenu 3000 /* 3000 */
#define kODCommandUndo 3001 /* 3001 */
#define kODCommandRedo 3002 /* 3002 */
#define kODCommandCut 3003 /* 3003 */
#define kODCommandCopy 3004 /* 3004 */
#define kODCommandPaste 3005 /* 3005 */
#define kODCommandPasteAs 3006 /* 3006 */
#define kODCommandClear 3007 /* 3007 */
#define kODCommandSelectAll 3008 /* 3008 */
#define kODCommandGetPartInfo 3009 /* 3009 */
#define kODCommandPreferences 3010 /* 3010 */
#define kODCommandViewAsWin 3011 /* 3011 */

#endif