// UDebugView.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UDEBUGVIEW__
#define __UDEBUGVIEW__

#if qDebug

// MacApp

#ifndef __UVIEW__
#include "UView.h"
#endif

//----------------------------------------------------------------------------------------
// class TDebugFlagsView:
//----------------------------------------------------------------------------------------

class EXPORT_MA TDebugFlagsView : public TView
{
	MA_DECLARE_CLASS;
	
public: // methods

	inline TDebugFlagsView()
	{ }
		// Constructor
	virtual ~TDebugFlagsView();
		// Destructor
			
	virtual void DoEvent(EventNumber eventNumber,
						 TEventHandler* source,
						 TEvent* event);
								
	virtual void DoPostCreate(TDocument* itsDocument);
};


EXPORT_MA void InitUDebugView();

#endif // qDebug

#endif // __UDEBUGVIEW__
