// MACoreDefault.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved.

#ifndef __MACoreDefault__
#define __MACoreDefault__

//  Auto-Include the requirements for this source

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __MACoreTypes__
#include "MACoreTypes.r"
#endif

// Get the application's CODE.  Note that this is done this way so that the application can
// be linked and/or rezzed separately.  Also, Rez currently (MPW 3.0) does not support
// -align longword simultaneously with the -append option (but it only tells you if you're
// getting -p progress indication).

#ifndef MW_Rez
#if !qNoCode
include $$Shell("ObjApp")$$Shell("XAppName") 'CODE';
#if qModelCFM
include $$Shell("ObjApp")$$Shell("XAppName") 'cfrg';
include $$Shell("ObjApp")$$Shell("XAppName") 'rseg';
#endif
#endif
#endif // !MW_Rez

// Basic resources for various purposes.
// Self evident from their names!
include "MacApp.rsrc" not 'ckid';
include "Printing.rsrc" not 'ckid';

#if qDebug | qPerform
include "Debug.rsrc" not 'ckid';
include "Dialog.rsrc" not 'ckid';
#endif


// Now include the "default" resources
// Note: you can pick and choose to selectively replace defaults in your own Rez source.
#ifndef MW_Rez 	// Metrowerks will supply it's own cfrg
#if qPowerPC
include "Defaults.rsrc"  'cfrg' (0);
#endif
#endif // MW_Rez

// Get the default Version resources
include "Defaults.rsrc"  'vers' (1);		// Application or file specific
include "Defaults.rsrc"  'vers' (2);		// Overall package

#endif // __MACoreDefault__
