// NubInspectorHooks.h
// Copyright  1992-97 by Apple Computer, Inc. All rights reserved.

//	Description:	Header file for NubDispatch Traps for Inspector Support

#ifndef __NUBINSPECTORHOOKS__
#define __NUBINSPECTORHOOKS__

// MacApp

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

// Toolbox

#ifndef __TYPES__
#include <Types.h>
#endif

#if qDebug || qInspector

//--------------------------------------------------------------------------------------
// NubDispatch Calls
//--------------------------------------------------------------------------------------

EXPORT_MA bool NubIsInstalled();

EXPORT_MA void NubNewObject(void *theObject, const CStr255_AC& className);

EXPORT_MA void NubObjectFreed(void *theObject, const CStr255_AC& className);

#endif // qDebug || qInspector
#endif // __NUBINSPECTORHOOKS__
