//----------------------------------------------------------------------------------------
// UMacAppTidyHeap.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UMACAPPTIDYHEAP__
#define __UMACAPPTIDYHEAP__

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif


#ifndef __CTidyHeap_AC__
#include "CTidyHeap_AC.h"
#endif

#if qTidyHeap

//----------------------------------------------------------------------------------------
// Class TMacAppTidyHeap
//----------------------------------------------------------------------------------------

class EXPORT_MA TMacAppTidyHeap : public CTidyHeap_AC
{
private:

	friend CTidyHeap_AC* CreateTidyHeap();
	
	TMacAppTidyHeap();
	
	virtual ~TMacAppTidyHeap();
	
public:

	virtual void HandleNilAllocation();

};

#endif

#endif