//----------------------------------------------------------------------------------------
// UMacAppTidyHeap.cp
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#if qTidyHeap

#ifndef __UMACAPPTIDYHEAP__
#include "UMacAppTidyHeap.h"
#endif

// ACS

#ifndef __Core_AC__
#include "Core_AC.h"
#endif

// MacApp

#ifndef __UPOINTEROBJECT__
#include "UPointerObject.h"
#endif

//========================================================================================
// class TMacAppTidyHeap
//========================================================================================

//----------------------------------------------------------------------------------------
// constructor
//----------------------------------------------------------------------------------------

TMacAppTidyHeap::TMacAppTidyHeap()
{
}

//----------------------------------------------------------------------------------------
// destructor
//----------------------------------------------------------------------------------------

TMacAppTidyHeap::~TMacAppTidyHeap()
{
}

//----------------------------------------------------------------------------------------
// TMacAppTidyHeap::HandleNilAllocation()
//----------------------------------------------------------------------------------------

void TMacAppTidyHeap::HandleNilAllocation()
{
	::ThrowIfNULL_AC(NULL);
}

//----------------------------------------------------------------------------------------
// CreateTidyHeap
//----------------------------------------------------------------------------------------

CTidyHeap_AC* CreateTidyHeap()
{
	CTidyHeap_AC::GlobalNew = MAOperatorNew;
	CTidyHeap_AC::GlobalDelete = MAOperatorDelete;
	return TH_new TMacAppTidyHeap();
}

#endif
