// FloatWindow.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved. 

//	MacApp resource type definitions for float window.
//	See DemoDialogs.r for an example of how to use this file.

#ifndef __FLOATWINDOW__
#define __FLOATWINDOW__




#ifndef qUseOldFloatingWDEF
#define qUseOldFloatingWDEF 0
#endif

//
// Used #defines here. This file is included by C++ and Rez
//
#if !qUseOldFloatingWDEF

// 
//
//	New Apple System 7.5 windoid style variations	
//
// 
#define kSystem75_kWindoidWDEF	1984			// the default windoid WDEF proc ID
#define kSystem75_toggleTBar	1				// Bit 0 tells us whether to hilite/unhilite the title bar.
#define kSystem75_hasGrow		2				// Bit 1 is the grow bit.
#define kSystem75_hasZoom		4				// Bit 2 is the zoom bit.
#define kSystem75_vertTBar		8				// Bit 3 set if titlebar is vertical.

// 
//
//	New Apple System 7.5 windoid used in pre system 7.5	for compatibility
//
// 
#define kSystem75AndLess_kWindoidWDEF	2048	// windoid WDEF proc ID for rsrc ID 128. We will
												// use the WDEF specified by this ID if we are not
												// running on System 7.5 or better. If we are, however,
												// we will change the ID dynamically in the window
												// initialization sequence. This ensures that we use
												// the WDEF stored in your program on pre System 7.5
												// but, use the WDEF stored in the system thereafter.

#else

// 
//
//	Old MacApp/HyperCard windoid style variations	
//
// 
#define kWindoidWDEF			48				// the default windoid WDEF proc ID
#define kWindoidHilite			 1				// add this to kWindoidWDEF if the title bar can be unhilited
#define kWindoidTallTitleBar	 2				// add this to kWindoidWDEF if the title bar has a title
#define kWindoidNotResizable	 4				// add this to kWindoidWDEF if the windoid is NOT resizable
#define kWindoidZoomable		 8				// add this to kWindoidWDEF if the windoid is zoomable

#endif

#endif
