// UInsertPartCommand.h
// Copyright  1996-97 by Apple Computer, Inc. All rights reserved.

#if qContainer

#ifndef __UINSERTPARTCOMMAND__
#define __UINSERTPARTCOMMAND__

#ifndef __UODPARTVIEW__
#include "UODPartView.h"
#endif

#ifndef __FILES__
#include <Files.h>
#endif

class EXPORT_MA TInsertPartCommand : public TCommand
{
public:
	TInsertPartCommand(CommandNumber itsCommandNumber = cNoCommand,
											 TDocument* itsDocument = NULL,
											 TODPartView* itsPartView = NULL);

	virtual ~TInsertPartCommand();

	virtual	bool		ChoosePartFile();
	virtual void		Commit();
	virtual void		DoIt();
	virtual void		UndoIt();

protected:
	CFSSpec_AC			fFileSpec;
	TODPartView*	fODPartView;
	TDocument*		fDocument;

private:
	static pascal Boolean	PartFileFilter(CInfoPBPtr pb);
};

#endif // __UINSERTPARTCOMMAND__
#endif //qContainer
