// USubstitution.h
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.

#ifndef __USUBSTITUTION__
#define __USUBSTITUTION__

// MacApp

#ifndef __CPascalString_AC__
#include "CPascalString_AC.h"
#endif
//----------------------------------------------------------------------------------------
// Externally available function declaration.
//----------------------------------------------------------------------------------------

EXPORT_MA  void MAParamText(const CStr255_AC& keyStr, const CStr255_AC& valueStr);
	// Used to create paramTxt items for a dialog. Builds an association with keyStr and
    // valueStr. All instances of keyStr in the dialog will be replaced with valueStr when
    // the dialog is displayed.

EXPORT_MA  void MAReplaceText(CStr255_AC& theText);
	// If there are any param text items in the theText passed to this method then they
    // are replaced with the appropriate values.

#endif // __USUBSTITUTION__
