// MAViews.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// MacApp view header files.

#ifndef __MAVIEWS__
#define __MAVIEWS__

// Conditional Macros (include before any other headers)

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif


// MacApp Core

#ifndef __MACORE__
#include "MACore.h"
#endif

// MacApp Framework

#ifndef __MAFRAMEWORK__
#include "MAFramework.h"
#endif

// MacApp Views

#ifndef __UBUTTON__
#include "UButton.h"
#endif

#ifndef __UCHECKBOX__
#include "UCheckbox.h"
#endif

#ifndef __UCLUSTER__
#include "UCluster.h"
#endif

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UDIALOGTEVIEW__
#include "UDialogTEView.h"
#endif

#ifndef __UEDITTEXT__
#include "UEditText.h"
#endif

#ifndef __UFLOATINGTEMGR__
#include "UFloatingTEManager.h"
#endif

#ifndef __UGRABBERTRACKER__
#include "UGrabberTracker.h"
#endif

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

#ifndef __UICON__
#include "UIcon.h"
#endif

#ifndef __UICONSUITE__
#include "UIconSuite.h"
#endif

#ifndef __UKEYSELECTIONBEHAVIOR__
#include "UKeySelectionBehavior.h"
#endif

#ifndef __UMENUVIEW__
#include "UMenuView.h"
#endif

#ifndef __UNUMBERTEXT__
#include "UNumberText.h"
#endif

#ifndef __UPATTERN__
#include "UPattern.h"
#endif

#ifndef __UPICTURE__
#include "UPicture.h"
#endif

#ifndef __UPOPUP__
#include "UPopup.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __URADIO__
#include "URadio.h"
#endif

#ifndef __USMALLICON__
#include "USmallIcon.h"
#endif

#ifndef __USYNCHSCROLLER__
#include "USynchScroller.h"
#endif

#ifndef __UTABBEHAVIORS__
#include "UTabBehaviors.h"
#endif

#ifndef __UTARGETBORDERVIEW__
#include "UTargetBorderView.h"
#endif

#ifndef __UTEAROFFMENUVIEW__
#include "UTearOffMenuView.h"
#endif

#ifndef __UTECOMMANDS__
#include "UTECommands.h"
#endif

#ifndef __UTEVIEW__
#include "UTEView.h"
#endif

#endif // __MAVIEWS__
