// UNewControls.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#ifndef __UNEWCONTROLS__
#define __UNEWCONTROLS__

// These are the new controls. This header can be used to auto-include all of them.

#ifndef __UICONBUTTON__
#include "UIconButton.h"
#endif

#ifndef __USLIDER__
#include "USlider.h"
#endif

#ifndef __UUPDOWNCONTROL__
#include "UUpDownControl.h"
#endif

#ifndef __UDISCLOSURETRIANGLE__
#include "UDisclosureTriangle.h"
#endif

#ifndef __UPROGRESSINDICATOR__
#include "UProgressIndicator.h"
#endif

#ifndef __USEPARATOR__
#include "USeparator.h"
#endif

#ifndef __UTABBEDVIEW__
#include "UTabbedView.h"
#endif

// This can be used to auto-initialize the new controls.

EXPORT_MA  void InitUNewControls();


#endif // __UNEWCONTROLS__
