/*
	Printing.r
	MacApp Printing Resources
	Copyright  1986-96 by Apple Computer, Inc. All rights reserved.
*/

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#define      phSpoolPrintDialog			257
#define      phFinderPrintDialog		258
#define      phNoPages					251
#define      phWhichDoc					261
#define      kPrinting					131


resource 'mem!' (kPrinting,
#if qNames
	"kPrinting",
#endif
	purgeable) {
	0,					// Add to object heap size
	0,					// Add to heap increment size
	43 * 1024,			// Add to temporary reserve
	0,					// Add to permanent reserve
	0					// Add to stack space
};

resource 'DLOG' (phSpoolPrintDialog,
#if qNames
	"phSpoolPrintDialog",
#endif
	purgeable) {
	{148, 62, 233, 365},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	phSpoolPrintDialog,
	"",
	noAutoCenter		// Can't center since it may cover print manager messages
};

resource 'DLOG' (phFinderPrintDialog,
#if qNames
	"phFinderPrintDialog",
#endif
	purgeable) {
	{148, 62, 233, 365},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	phFinderPrintDialog,
	"",
	noAutoCenter		// Can't center since it may cover print manager messages
};

resource 'DLOG' (phWhichDoc,
#if qNames
	"phWhichDoc",
#endif
	purgeable) {
	{1, 1, 2, 2},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	phWhichDoc,
	"",
	noAutoCenter
};

resource 'DITL' (phNoPages,
#if qNames
	"phNoPages",
#endif
	purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{55, 288, 75, 348},
		Button {
			enabled,
			"OK"
		};
		/* [2] */
		{10, 75, 42, 348},
		StaticText {
			disabled,
			"This document has no pages within the requested range."
		};
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			stopIcon
		}
	}
};

resource 'DITL' (phSpoolPrintDialog,
#if qNames
	"phSpoolPrintDialog",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{55, 233, 75, 293},
		Button {
			enabled,
			"Cancel"
		};
		/* [4] */
		{10, 20, 42, 293},
		StaticText {
			disabled,
			"'<<<>>>' is now being printed."
		}
	}
};

resource 'DITL' (phFinderPrintDialog,
#if qNames
	"phFinderPrintDialog",
#endif
	purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{55, 233, 75, 293},
		Button {
			enabled,
			"Cancel"
		};
		/* [4] */
		{55, 84, 75, 220},
		Button {
			enabled,
			"Cancel All Printing"
		};
		/* [5] */
		{10, 20, 42, 293},
		StaticText {
			disabled,
			"'<<<>>>' is now being printed."
		}
	}
};

resource 'DITL' (phWhichDoc,
#if qNames
	"phWhichDoc",
#endif
	purgeable) {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{0, 0, 0, 0},
		UserItem {
			disabled
		}
	}
};

resource 'ALRT' (phNoPages,
#if qNames
	"phNoPages",
#endif
	purgeable) {
	{100, 120, 185, 478},
	phNoPages,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

