// MABuild.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 

/*  Auto-Include the requirements for this source */

#ifndef __CMDO_R__
#include "Cmdo.r"
#endif

#ifndef __PICT_R__
#include "Pict.r"
#endif

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif


resource 'cmdo' (128, "MABuild") {
	{	/* array dialogs: 9 elements */
		/* [1] */
		295,
		"Make MacApp program up-to-date by rebuil"
		"ding everything that is out-of-date.",
		{	/* array itemArray: 12 elements */
			/* [1] */
			NotDependent {

			},
			Files {
				OutputFile,
				OptionalFile {
					{61, 18, 78, 111},
					{60, 110, 80, 459},
					"Build Target:",
					"",
					"",
					"",
					"Build the specified target.",
					dontDim,
					"",
					"",
					""
				},
				NoMore {

				}
			},
			/* [2] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					1
				}
			},
			DoItButton {

			},
			/* [3] */
			NotDependent {

			},
			CheckOption {
				NotSet,
				{130, 20, 147, 153},
				".rsrc",
				"-RSRC",
				"Build only a project .rsrc file"
			},
			/* [4] */
			NotDependent {

			},
			NestedDialog {
				2,
				{99, 19, 120, 146},
				"Make",
				"Options for how Make and MABuild control"
				" the build."
			},
			/* [5] */
			NotDependent {

			},
			NestedDialog {
				3,
				{129, 173, 149, 301},
				"Asm & Rez",
				"Set options to be passed to the 68K or P"
				"PC assembler and to the resource compile"
				"r. "
			},
			/* [6] */
			NotDependent {

			},
			NestedDialog {
				4,
				{99, 172, 119, 300},
				"C++",
				"Choose a C++ compiler to use and specify"
				" additional options to be passed through"
				" to the compiler. "
			},
			/* [7] */
			NotDependent {

			},
			NestedDialog {
				8,
				{159, 174, 179, 301},
				"Defines",
				"Set defines to be passed to all the comp"
				"ilers, and directory synonyms."
			},
			/* [8] */
			NotDependent {

			},
			NestedDialog {
				5,
				{100, 326, 120, 454},
				"Link",
				"Set options for the librarian, linker, a"
				"nd the creator & bundle tool. "
			},
			/* [9] */
			NotDependent {

			},
			NestedDialog {
				6,
				{130, 327, 150, 455},
				"Debug",
				"Set the debugging options."
			},
			/* [10] */
			NotDependent {

			},
			NestedDialog {
				7,
				{160, 327, 180, 455},
				"Runtime",
				"Specify the system and CPU requirements,"
				" run-time model, and additional MacApp r"
				"un-time support options. "
			},
			/* [11] */
			NotDependent {

			},
			PictOrIcon {
				Picture,
				128,
				{10, 340, 45, 472}
			},
			/* [12] */
			NotDependent {

			},
			VersionDialog {
				VersionString {
					MA_SHORT_VERSION
				},
				"MABuild "
				MA_SHORT_VERSION
				".  "
				MA_COPYRIGHT
				"\n",
				noDialog
			}
		},
		/* [2] */
		280,
		"Options for how Make and MABuild control"
		" the build.",
		{	/* array itemArray: 20 elements */
			/* [1] */
			NotDependent {

			},
			Files {
				DirOnly,
				OptionalFile {
					{19, 16, 34, 104},
					{17, 106, 37, 453},
					"Build Folder:",
					"",
					"-BuildFolder",
					"",
					"Specify root object folder for this buil"
					"d.",
					dontDim,
					"",
					"",
					""
				},
				NoMore {

				}
			},
			/* [2] */
			NotDependent {

			},
			CheckOption {
				NotSet,
				{49, 314, 65, 359},
				"-E",
				"-E",
				"Passthru -E to Make; rebuild everything "
				"regardless of dates"
			},
			/* [3] */
			NotDependent {

			},
			CheckOption {
				NotSet,
				{49, 361, 65, 405},
				"-R",
				"-R",
				"Passthru -R to Make; write roots of depe"
				"ndency graph to output"
			},
			/* [4] */
			NotDependent {

			},
			CheckOption {
				NotSet,
				{48, 411, 64, 449},
				"-S",
				"-S",
				"Passthru -S to Make; write structure of "
				"target dependencies to output"
			},
			/* [5] */
			NotDependent {

			},
			RegularEntry {
				"Make:",
				{48, 17, 64, 72},
				{48, 72, 63, 302},
				"-w",
				ignoreCase,
				"-Make",
				"Passthrough options to Make."
			},
			/* [6] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{78, 17, 94, 152}, "AutoBuild", "-NoAutoBuild", "", "-AutoBuild", "Auto-build the MacApp libraries (and any"
					" others). MABuild defaults to -NoAutoBui"
					"ld."
				}
			},
			/* [7] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{96, 16, 112, 151}, "Execute", "-NoExecute", "", "-Execute", "Execute the results of Make. MABuild def"
					"aults to -Execute."
				}
			},
			/* [8] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{112, 16, 128, 151}, "ExpandEnvVars", "-NoExpandEnvVars", "", "-ExpandEnvVars", "Expand environment vars in AppName.makei"
					"t. MABuild defaults to -NoExpandEnvVars."
				}
			},
			/* [9] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{131, 16, 147, 151}, "Fail", "-NoFail", "", "-Fail", "Stop executing after first failure. MABu"
					"ild defaults to -NoFail."
				}
			},
			/* [10] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{149, 16, 165, 151}, "MacApp", "-NoMacApp", "", "-MacApp", "Build for use with MacApp. MABuild defau"
					"lts to -MacApp."
				}
			},
			/* [11] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{78, 161, 94, 296}, "MacApp Library", "-NoMALibrary", "", "-MALibrary", "Put all MacApp object files in a library"
					" (MacApp.Lib). Defaults to -MALibrary."
				}
			},
			/* [12] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{98, 160, 114, 310}, "Show Progress", "-NoP", "", "-P", "Show progress for the MABuild system. MA"
					"Build defaults to -NoP."
				}
			},
			/* [13] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{115, 162, 131, 312}, "Show Tool Progress", "-NoPP", "", "-PP", "Have all tools show progress. MABuild de"
					"faults to -NoPP."
				}
			},
			/* [14] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{133, 160, 149, 295}, "Run", "-NoRun", "", "-Run", "Run after build. MABuild defaults to -No"
					"Run."
				}
			},
			/* [15] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{153, 163, 169, 298}, "Save Windows", "-NoSave", "", "-Save", "Auto-save all open windows before starti"
					"ng build. MABuild defaults to -NoSave."
				}
			},
			/* [16] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{100, 322, 116, 457}, "SeparateObjects", "-NoSeparateObjects", "", "-SeparateObjects", "Keep separate object folders for each bu"
					"ild variation. MABuild defaults to -Sepa"
					"rateObjects."
				}
			},
			/* [17] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{80, 324, 96, 459}, "StatusOnly", "-NoStatusOnly", "", "-StatusOnly", "Write results of Make to StdOut. MABuild"
					" defaults to -NoStatusOnly."
				}
			},
			/* [18] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{120, 322, 136, 472}, "Show Times", "-NoT", "", "-T", "Show elapsed time for the MABuild system"
					". MABuild defaults to -NoT."
				}
			},
			/* [19] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{137, 322, 153, 472}, "Show Tool Times", "-NoTT", "", "-TT", "Have all tools show elapsed time. MABuil"
					"d defaults to -NoTT."
				}
			},
			/* [20] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{154, 323, 170, 458}, "UserAutoBuild", "-NoUserAutoBuild", "", "-UserAutoBuild", "Auto-build user specified libraries {MAU"
					"serAutoBuild}. MABuild defaults to -User"
					"AutoBuild."
				}
			}
		},
		/* [3] */
		260,
		"Set options to be passed to the 68K or P"
		"PC assembler and to the resource compile"
		"r. ",
		{	/* array itemArray: 3 elements */
			/* [1] */
			NotDependent {

			},
			RegularEntry {
				"Asm:",
				{22, 13, 37, 73},
				{21, 78, 38, 230},
				"-case on",
				ignoreCase,
				"-Asm",
				"Passthrough options to Assembler."
			},
			/* [2] */
			NotDependent {

			},
			RegularEntry {
				"PPCAsm:",
				{46, 14, 62, 80},
				{46, 78, 62, 231},
				"",
				ignoreCase,
				"-PPCAsm",
				"Passthrough options to PPCAsm."
			},
			/* [3] */
			NotDependent {

			},
			RegularEntry {
				"Rez:",
				{73, 13, 89, 68},
				{72, 78, 89, 231},
				"",
				ignoreCase,
				"-Rez",
				"Passthrough options to Resource compiler"
				"."
			}
		},
		/* [4] */
		260,
		"Choose a C++ compiler to use and specify"
		" additional options to be passed through"
		" to the compiler. ",
		{	/* array itemArray: 11 elements */
			/* [1] */
			NotDependent {

			},
			RadioButtons {
				{	/* array radioArray: 7 elements */
					/* [1] */
					{17, 11, 35, 88}, "Default", "", Set, "Just use the default C++ compiler",
					/* [2] */
					{83, 13, 99, 93}, "CFront:", "-cp CFront", NotSet, "MPW C++ (AT&T CFront) compiler",
					/* [3] */
					{83, 237, 99, 318}, "MrC:", "-cp MrC", NotSet, "Macintosh RISC C/C++ compiler",
					/* [4] */
					{130, 13, 146, 94}, "mwc68K:", "-cp mwc68K", NotSet, "Metrowerks 68K C/C++ compiler for MPW",
					/* [5] */
					{109, 237, 125, 318}, "mwcPPC:", "-cp mwcPPC", NotSet, "Metrowerks PPC C/C++ compiler for MPW",
					/* [6] */
					{131, 235, 146, 314}, "PPCC:", "-cp PPCC", NotSet, "PPC C/C++ (Fast Track) compiler",
					/* [7] */
					{107, 13, 124, 88}, "SCpp:", "-cp SCpp", NotSet, "Symantec 68K C++ compiler for MPW"
				}
			},
			/* [2] */
			NotDependent {

			},
			RegularEntry {
				"C:",
				{39, 29, 55, 86},
				{39, 93, 54, 226},
				"",
				ignoreCase,
				"-C",
				"Passthrough options to C compiler."
			},
			/* [3] */
			NotDependent {

			},
			RegularEntry {
				"C++:",
				{62, 30, 78, 88},
				{63, 93, 77, 225},
				"",
				ignoreCase,
				"-CPlusPlus",
				"Passthrough options to whatever C++ comp"
				"iler."
			},
			/* [4] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					8193
				}
			},
			RegularEntry {
				"",
				{0, 0, 0, 0},
				{85, 93, 100, 226},
				"",
				ignoreCase,
				"-CPlus",
				"Passthrough options to Cfront."
			},
			/* [5] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					28673
				}
			},
			RegularEntry {
				"",
				{0, 0, 0, 0},
				{107, 93, 121, 226},
				"",
				ignoreCase,
				"-SCpp",
				"Passthrough options to Symantec C++ comp"
				"iler."
			},
			/* [6] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					16385
				}
			},
			RegularEntry {
				"",
				{0, 0, 0, 0},
				{130, 93, 145, 226},
				"",
				ignoreCase,
				"-mwc68K",
				"Passthrough options to Metrowerks 68K C/"
				"C++ compiler for MPW."
			},
			/* [7] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					12289
				}
			},
			RegularEntry {
				"",
				{0, 0, 0, 0},
				{83, 318, 99, 458},
				"",
				ignoreCase,
				"-MrC",
				"Passthrough options to MrC."
			},
			/* [8] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					24577
				}
			},
			RegularEntry {
				"",
				{0, 0, 0, 0},
				{132, 318, 145, 458},
				"",
				ignoreCase,
				"-PPCC",
				"Passthrough options to PPCC."
			},
			/* [9] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					20481
				}
			},
			RegularEntry {
				"",
				{0, 0, 0, 0},
				{109, 318, 123, 457},
				"",
				ignoreCase,
				"-mwcPPC",
				"Passthrough options to Metrowerks PPC C/"
				"C++ compiler for MPW."
			},
			/* [10] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{12, 314, 28, 449}, "C++ Load/Dump", "-NoCPlusLoad", "", "-CPlusLoad", "Use the Cfront Load/Dump option for head"
					"er files. Defaults to -CPlusLoad."
				}
			},
			/* [11] */
			NotDependent {

			},
			Files {
				DirOnly,
				OptionalFile {
					{33, 243, 49, 313},
					{32, 313, 50, 459},
					"RAM Disk:",
					"",
					"-RAMDisk",
					"",
					"Specify RAM disk to use for faster loadi"
					"ng of C++ Load files.",
					dontDim,
					"",
					"",
					""
				},
				NoMore {

				}
			}
		},
		/* [5] */
		280,
		"Set options for the librarian, linker, a"
		"nd the creator & bundle tool. ",
		{	/* array itemArray: 8 elements */
			/* [1] */
			NotDependent {

			},
			RegularEntry {
				"C&B:",
				{143, 12, 160, 65},
				{143, 74, 159, 244},
				"",
				ignoreCase,
				"-CreatorAndBundle",
				"Passthrough options to Creator&Bundle to"
				"ol."
			},
			/* [2] */
			NotDependent {

			},
			RegularEntry {
				"Lib:",
				{18, 9, 34, 83},
				{18, 72, 34, 224},
				"",
				ignoreCase,
				"-Lib",
				"Passthrough options to Librarian."
			},
			/* [3] */
			NotDependent {

			},
			RegularEntry {
				"Link:",
				{46, 12, 62, 86},
				{46, 73, 62, 225},
				"",
				ignoreCase,
				"-Link",
				"Passthrough options to linker."
			},
			/* [4] */
			NotDependent {

			},
			RegularEntry {
				"PPCLib:",
				{18, 243, 34, 317},
				{18, 317, 34, 469},
				"",
				ignoreCase,
				"-PPCLib",
				"Passthrough options to PPC linker for ma"
				"king libraries."
			},
			/* [5] */
			NotDependent {

			},
			RegularEntry {
				"PPCLink:",
				{45, 243, 61, 317},
				{45, 317, 61, 469},
				"",
				ignoreCase,
				"-PPCLink",
				"Passthrough options to PPC linker."
			},
			/* [6] */
			NotDependent {

			},
			RegularEntry {
				"MakeSYM:",
				{94, 242, 110, 316},
				{94, 316, 110, 468},
				"",
				ignoreCase,
				"-MakeSYM",
				"Passthrough options to MakeSYM."
			},
			/* [7] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{72, 71, 88, 221}, "Linkmap", "-NoLinkMap", "", "-LinkMap", "Generate a linkmap. MABuild defaults to "
					"-NoLinkMap."
				}
			},
			/* [8] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{95, 71, 111, 221}, "Link Cross Ref", "-NoLinkXRef", "", "-LinkXRef", "Generate a link cross reference. MABuild"
					" defaults to -NoLinkXRef."
				}
			}
		},
		/* [6] */
		295,
		"Set the debugging options.",
		{	/* array itemArray: 8 elements */
			/* [1] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{50, 41, 66, 211}, "Debugging Code", "-NoDebug", "", "-Debug", "Turn on MacApp debugging code. Default i"
					"s -NoDebug."
				}
			},
			/* [2] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					1
				}
			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{66, 40, 82, 230}, "Names", "-NoNames", "", "-Names", "Include embedded MacsBug debugging symbo"
					"ls"
				}
			},
			/* [3] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					1
				}
			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{82, 40, 98, 230}, "Performance Tools", "-NoPerform", "", "-Perform", "Include performance monitor code (68K on"
					"ly)"
				}
			},
			/* [4] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					1
				}
			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{98, 40, 114, 230}, "Range/Overflow Checking", "-NoRangeCheck", "", "-RangeCheck", "Force Range/Overflow checking"
				}
			},
			/* [5] */
			Or {
				{	/* array OrArray: 1 elements */
					/* [1] */
					1
				}
			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{114, 40, 130, 230}, "Inspector Hooks", "-NoInspector", "", "-Inspector", "Include Inspector hooks in the code"
				}
			},
			/* [6] */
			NotDependent {

			},
			Box {
				black,
				{48, 30, 135, 240}
			},
			/* [7] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{24, 41, 40, 220}, "Symbolic Debugging", "-NoSym", "", "-Sym", "Generate symbols for use by source level"
					" debuggers. Default is -NoSym."
				}
			},
			/* [8] */
			NotDependent {

			},
			NestedDialog {
				9,
				{160, 400, 180, 465},
				"Help",
				"Get help on what this dialog box is all "
				"about."
			}
		},
		/* [7] */
		280,
		"Specify the system and CPU requirements,"
		" run-time model, and additional MacApp r"
		"un-time support options. ",
		{	/* array itemArray: 15 elements */
			/* [1] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{17, 19, 33, 169}, "System 7", "-NoNeedsSystem7", "", "-NeedsSystem7", "Require System 7. MABuild defaults to -N"
					"eedsSystem7."
				}
			},
			/* [2] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{36, 19, 52, 169}, "Color QuickDraw", "-NoNeedsColorQD", "", "-NeedsColorQD", "Require color QuickDraw. MABuild default"
					"s to -NoNeedsColorQD, except on 020 mach"
					"ines and above and Power Macs, which alw"
					"ays have it."
				}
			},
			/* [3] */
			NotDependent {

			},
			RadioButtons {
				{	/* array radioArray: 4 elements */
					/* [1] */
					{93, 19, 109, 149}, "No Dependancy", "", Set, "Don't require a certain CPU",
					/* [2] */
					{110, 19, 126, 149}, "Needs MC68020", "-NeedsMC68020", NotSet, "Build to require a 68020",
					/* [3] */
					{126, 19, 142, 149}, "Needs MC68030", "-NeedsMC68030", NotSet, "Build to require a 68030",
					/* [4] */
					{142, 19, 158, 149}, "Needs MC68040", "-NeedsMC68040", NotSet, "Build to require a 68040"
				}
			},
			/* [4] */
			NotDependent {

			},
			TextBox {
				black,
				{85, 15, 165, 155},
				"CPU Options"
			},
			/* [5] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{56, 19, 72, 169}, "FPU", "-NoNeedsFPU", "", "-NeedsFPU", "Require hardware floating point processo"
					"r. MABuild defaults to -NoNeedsFPU, exce"
					"pt on Power Macs, which always have one."
				}
			},
			/* [6] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{13, 306, 29, 441}, "Classic 68K", "-NoClassic", "", "-Classic", "Compile with SCpp and link for new class"
					"ic 68K runtime. Default is -NoClassic."
				}
			},
			/* [7] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{30, 306, 46, 441}, "CFM-68K", "-NoModelCFM", "", "-ModelCFM", "Compile and link Model CFM. Default is -"
					"NoModelCFM."
				}
			},
			/* [8] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{46, 306, 62, 441}, "Model Far", "-NoModelFar", "", "-ModelFar", "Compile and link Model Far (32-bit every"
					"thing). Default is -NoModelFar."
				}
			},
			/* [9] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{74, 306, 90, 441}, "Align", "-NoAlign", "", "-Align", "Longword align all code and data for spe"
					"ed. MABuild defaults to -Align."
				}
			},
			/* [10] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{100, 167, 116, 296}, "Attachability", "-NoAttachable", "", "-Attachable", "Support for attaching scripts to objects"
					". MABuild defaults to -NoAttachable."
				}
			},
			/* [11] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{123, 167, 139, 296}, "Drag & Drop", "-NoDrag", "", "-Drag", "Include code to support Drag & Drop. MAB"
					"uild defaults to -NoDrag."
				}
			},
			/* [12] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{143, 166, 158, 295}, "PowerTalk", "-NoPowerTalk", "", "-PowerTalk", "Include code to support PowerTalk mailer"
					"s. MABuild defaults to -NoPowerTalk."
				}
			},
			/* [13] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{98, 305, 114, 455}, "Virtual User", "-NoNeedsVU", "", "-NeedsVU", "Include code to support Virtual User. MA"
					"Build defaults to -NoNeedsVU."
				}
			},
			/* [14] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{126, 304, 142, 454}, "TemplateViews", "-NoTemplateViews", "", "-TemplateViews", "Include code to create views from templa"
					"tes. MABuild defaults to -TemplateViews."
				}
			},
			/* [15] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 1 elements */
					/* [1] */
					{144, 304, 160, 459}, "WriteTemplateViews", "-NoWriteTemplateViews", "", "-WriteTemplateViews", "Include code to write view templates. MA"
					"Build defaults to -TemplateViews."
				}
			}
		},
		/* [8] */
		295,
		"Set defines to be passed to all the comp"
		"ilers, and directory synonyms.",
		{	/* array itemArray: 2 elements */
			/* [1] */
			NotDependent {

			},
			MultiRegularEntry {
				"Defines:",
				{17, 12, 32, 130},
				{34, 16, 107, 464},
				{	/* array DefEntryList: 0 elements */
				},
				"-d",
				"Set compile time variable name in all co"
				"mpilers. Use the form: name[=(TRUE|FALSE"
				")]"
			},
			/* [2] */
			NotDependent {

			},
			MultiRegularEntry {
				"Directory Synonyms:",
				{111, 12, 127, 159},
				{131, 15, 182, 465},
				{	/* array DefEntryList: 0 elements */
				},
				"-RenameFlag",
				"Enter a Directory Alias. For example, if"
				" you needed to alias the \".SADE  Debug F"
				"iles\" folder, you would enter \"NmDbInUnP"
				"eRaWrTrTeSm 'SADE Debug Files'\""
			}
		},
		/* [9] */
		295,
		"Debugging Dialog Box Help",
		{	/* array itemArray: 4 elements */
			/* [1] */
			NotDependent {

			},
			TextTitle {
				plain,
				{15, 10, 30, 470},
				systemFont,
				systemSize,
				"Normally, when you build with debugging "
				"on, the following build"
			},
			/* [2] */
			NotDependent {

			},
			TextTitle {
				plain,
				{30, 10, 45, 470},
				systemFont,
				systemSize,
				"options are also turned on: Inspector, N"
				"ames, Perform,"
			},
			/* [3] */
			NotDependent {

			},
			TextTitle {
				plain,
				{45, 10, 60, 470},
				systemFont,
				systemSize,
				"Range/Overflow Check. Alternatively, whe"
				"n debugging "
			},
			/* [4] */
			NotDependent {

			},
			TextTitle {
				plain,
				{60, 10, 75, 470},
				systemFont,
				systemSize,
				"is turned off, these options are likewis"
				"e turned off."
			}
		}
	}
};

resource 'PICT' (128) {
	{8, 7, 43, 139},
	VersionTwo {
		{	/* array OpCodes: 5 elements */
			/* [1] */
			HeaderOp {
				Version2,
				0x70000,
				0x80000,
				0x8B0000,
				0x2B0000,
				0
			},
			/* [2] */
			DefHilite {

			},
			/* [3] */
			Clip {
				{8, 7, 43, 139},
				$""
			},
			/* [4] */
			PackBitsRgn {
				132,
				{8, 7, 43, 139},
				0,
				unpacked,
				0,
				0x480000,
				0x480000,
				chunky,
				8,
				1,
				8,
				0,
				14114340,
				0x8A2,
				0,
				{	/* array ColorSpec: 256 elements */
					/* [1] */
					0, 65535, 65535, 65535,
					/* [2] */
					1, 65535, 65535, 52428,
					/* [3] */
					2, 65535, 65535, 39321,
					/* [4] */
					3, 65535, 65535, 26214,
					/* [5] */
					4, 65535, 65535, 13107,
					/* [6] */
					5, 65535, 65535, 0,
					/* [7] */
					6, 65535, 52428, 65535,
					/* [8] */
					7, 65535, 52428, 52428,
					/* [9] */
					8, 65535, 52428, 39321,
					/* [10] */
					9, 65535, 52428, 26214,
					/* [11] */
					10, 65535, 52428, 13107,
					/* [12] */
					11, 65535, 52428, 0,
					/* [13] */
					12, 65535, 39321, 65535,
					/* [14] */
					13, 65535, 39321, 52428,
					/* [15] */
					14, 65535, 39321, 39321,
					/* [16] */
					15, 65535, 39321, 26214,
					/* [17] */
					16, 65535, 39321, 13107,
					/* [18] */
					17, 65535, 39321, 0,
					/* [19] */
					18, 65535, 26214, 65535,
					/* [20] */
					19, 65535, 26214, 52428,
					/* [21] */
					20, 65535, 26214, 39321,
					/* [22] */
					21, 65535, 26214, 26214,
					/* [23] */
					22, 65535, 26214, 13107,
					/* [24] */
					23, 65535, 26214, 0,
					/* [25] */
					24, 65535, 13107, 65535,
					/* [26] */
					25, 65535, 13107, 52428,
					/* [27] */
					26, 65535, 13107, 39321,
					/* [28] */
					27, 65535, 13107, 26214,
					/* [29] */
					28, 65535, 13107, 13107,
					/* [30] */
					29, 65535, 13107, 0,
					/* [31] */
					30, 65535, 0, 65535,
					/* [32] */
					31, 65535, 0, 52428,
					/* [33] */
					32, 65535, 0, 39321,
					/* [34] */
					33, 65535, 0, 26214,
					/* [35] */
					34, 65535, 0, 13107,
					/* [36] */
					35, 65535, 0, 0,
					/* [37] */
					36, 52428, 65535, 65535,
					/* [38] */
					37, 52428, 65535, 52428,
					/* [39] */
					38, 52428, 65535, 39321,
					/* [40] */
					39, 52428, 65535, 26214,
					/* [41] */
					40, 52428, 65535, 13107,
					/* [42] */
					41, 52428, 65535, 0,
					/* [43] */
					42, 52428, 52428, 65535,
					/* [44] */
					43, 52428, 52428, 52428,
					/* [45] */
					44, 52428, 52428, 39321,
					/* [46] */
					45, 52428, 52428, 26214,
					/* [47] */
					46, 52428, 52428, 13107,
					/* [48] */
					47, 52428, 52428, 0,
					/* [49] */
					48, 52428, 39321, 65535,
					/* [50] */
					49, 52428, 39321, 52428,
					/* [51] */
					50, 52428, 39321, 39321,
					/* [52] */
					51, 52428, 39321, 26214,
					/* [53] */
					52, 52428, 39321, 13107,
					/* [54] */
					53, 52428, 39321, 0,
					/* [55] */
					54, 52428, 26214, 65535,
					/* [56] */
					55, 52428, 26214, 52428,
					/* [57] */
					56, 52428, 26214, 39321,
					/* [58] */
					57, 52428, 26214, 26214,
					/* [59] */
					58, 52428, 26214, 13107,
					/* [60] */
					59, 52428, 26214, 0,
					/* [61] */
					60, 52428, 13107, 65535,
					/* [62] */
					61, 52428, 13107, 52428,
					/* [63] */
					62, 52428, 13107, 39321,
					/* [64] */
					63, 52428, 13107, 26214,
					/* [65] */
					64, 52428, 13107, 13107,
					/* [66] */
					65, 52428, 13107, 0,
					/* [67] */
					66, 52428, 0, 65535,
					/* [68] */
					67, 52428, 0, 52428,
					/* [69] */
					68, 52428, 0, 39321,
					/* [70] */
					69, 52428, 0, 26214,
					/* [71] */
					70, 52428, 0, 13107,
					/* [72] */
					71, 52428, 0, 0,
					/* [73] */
					72, 39321, 65535, 65535,
					/* [74] */
					73, 39321, 65535, 52428,
					/* [75] */
					74, 39321, 65535, 39321,
					/* [76] */
					75, 39321, 65535, 26214,
					/* [77] */
					76, 39321, 65535, 13107,
					/* [78] */
					77, 39321, 65535, 0,
					/* [79] */
					78, 39321, 52428, 65535,
					/* [80] */
					79, 39321, 52428, 52428,
					/* [81] */
					80, 39321, 52428, 39321,
					/* [82] */
					81, 39321, 52428, 26214,
					/* [83] */
					82, 39321, 52428, 13107,
					/* [84] */
					83, 39321, 52428, 0,
					/* [85] */
					84, 39321, 39321, 65535,
					/* [86] */
					85, 39321, 39321, 52428,
					/* [87] */
					86, 39321, 39321, 39321,
					/* [88] */
					87, 39321, 39321, 26214,
					/* [89] */
					88, 39321, 39321, 13107,
					/* [90] */
					89, 39321, 39321, 0,
					/* [91] */
					90, 39321, 26214, 65535,
					/* [92] */
					91, 39321, 26214, 52428,
					/* [93] */
					92, 39321, 26214, 39321,
					/* [94] */
					93, 39321, 26214, 26214,
					/* [95] */
					94, 39321, 26214, 13107,
					/* [96] */
					95, 39321, 26214, 0,
					/* [97] */
					96, 39321, 13107, 65535,
					/* [98] */
					97, 39321, 13107, 52428,
					/* [99] */
					98, 39321, 13107, 39321,
					/* [100] */
					99, 39321, 13107, 26214,
					/* [101] */
					100, 39321, 13107, 13107,
					/* [102] */
					101, 39321, 13107, 0,
					/* [103] */
					102, 39321, 0, 65535,
					/* [104] */
					103, 39321, 0, 52428,
					/* [105] */
					104, 39321, 0, 39321,
					/* [106] */
					105, 39321, 0, 26214,
					/* [107] */
					106, 39321, 0, 13107,
					/* [108] */
					107, 39321, 0, 0,
					/* [109] */
					108, 26214, 65535, 65535,
					/* [110] */
					109, 26214, 65535, 52428,
					/* [111] */
					110, 26214, 65535, 39321,
					/* [112] */
					111, 26214, 65535, 26214,
					/* [113] */
					112, 26214, 65535, 13107,
					/* [114] */
					113, 26214, 65535, 0,
					/* [115] */
					114, 26214, 52428, 65535,
					/* [116] */
					115, 26214, 52428, 52428,
					/* [117] */
					116, 26214, 52428, 39321,
					/* [118] */
					117, 26214, 52428, 26214,
					/* [119] */
					118, 26214, 52428, 13107,
					/* [120] */
					119, 26214, 52428, 0,
					/* [121] */
					120, 26214, 39321, 65535,
					/* [122] */
					121, 26214, 39321, 52428,
					/* [123] */
					122, 26214, 39321, 39321,
					/* [124] */
					123, 26214, 39321, 26214,
					/* [125] */
					124, 26214, 39321, 13107,
					/* [126] */
					125, 26214, 39321, 0,
					/* [127] */
					126, 26214, 26214, 65535,
					/* [128] */
					127, 26214, 26214, 52428,
					/* [129] */
					128, 26214, 26214, 39321,
					/* [130] */
					129, 26214, 26214, 26214,
					/* [131] */
					130, 26214, 26214, 13107,
					/* [132] */
					131, 26214, 26214, 0,
					/* [133] */
					132, 26214, 13107, 65535,
					/* [134] */
					133, 26214, 13107, 52428,
					/* [135] */
					134, 26214, 13107, 39321,
					/* [136] */
					135, 26214, 13107, 26214,
					/* [137] */
					136, 26214, 13107, 13107,
					/* [138] */
					137, 26214, 13107, 0,
					/* [139] */
					138, 26214, 0, 65535,
					/* [140] */
					139, 26214, 0, 52428,
					/* [141] */
					140, 26214, 0, 39321,
					/* [142] */
					141, 26214, 0, 26214,
					/* [143] */
					142, 26214, 0, 13107,
					/* [144] */
					143, 26214, 0, 0,
					/* [145] */
					144, 13107, 65535, 65535,
					/* [146] */
					145, 13107, 65535, 52428,
					/* [147] */
					146, 13107, 65535, 39321,
					/* [148] */
					147, 13107, 65535, 26214,
					/* [149] */
					148, 13107, 65535, 13107,
					/* [150] */
					149, 13107, 65535, 0,
					/* [151] */
					150, 13107, 52428, 65535,
					/* [152] */
					151, 13107, 52428, 52428,
					/* [153] */
					152, 13107, 52428, 39321,
					/* [154] */
					153, 13107, 52428, 26214,
					/* [155] */
					154, 13107, 52428, 13107,
					/* [156] */
					155, 13107, 52428, 0,
					/* [157] */
					156, 13107, 39321, 65535,
					/* [158] */
					157, 13107, 39321, 52428,
					/* [159] */
					158, 13107, 39321, 39321,
					/* [160] */
					159, 13107, 39321, 26214,
					/* [161] */
					160, 13107, 39321, 13107,
					/* [162] */
					161, 13107, 39321, 0,
					/* [163] */
					162, 13107, 26214, 65535,
					/* [164] */
					163, 13107, 26214, 52428,
					/* [165] */
					164, 13107, 26214, 39321,
					/* [166] */
					165, 13107, 26214, 26214,
					/* [167] */
					166, 13107, 26214, 13107,
					/* [168] */
					167, 13107, 26214, 0,
					/* [169] */
					168, 13107, 13107, 65535,
					/* [170] */
					169, 13107, 13107, 52428,
					/* [171] */
					170, 13107, 13107, 39321,
					/* [172] */
					171, 13107, 13107, 26214,
					/* [173] */
					172, 13107, 13107, 13107,
					/* [174] */
					173, 13107, 13107, 0,
					/* [175] */
					174, 13107, 0, 65535,
					/* [176] */
					175, 13107, 0, 52428,
					/* [177] */
					176, 13107, 0, 39321,
					/* [178] */
					177, 13107, 0, 26214,
					/* [179] */
					178, 13107, 0, 13107,
					/* [180] */
					179, 13107, 0, 0,
					/* [181] */
					180, 0, 65535, 65535,
					/* [182] */
					181, 0, 65535, 52428,
					/* [183] */
					182, 0, 65535, 39321,
					/* [184] */
					183, 0, 65535, 26214,
					/* [185] */
					184, 0, 65535, 13107,
					/* [186] */
					185, 0, 65535, 0,
					/* [187] */
					186, 0, 52428, 65535,
					/* [188] */
					187, 0, 52428, 52428,
					/* [189] */
					188, 0, 52428, 39321,
					/* [190] */
					189, 0, 52428, 26214,
					/* [191] */
					190, 0, 52428, 13107,
					/* [192] */
					191, 0, 52428, 0,
					/* [193] */
					192, 0, 39321, 65535,
					/* [194] */
					193, 0, 39321, 52428,
					/* [195] */
					194, 0, 39321, 39321,
					/* [196] */
					195, 0, 39321, 26214,
					/* [197] */
					196, 0, 39321, 13107,
					/* [198] */
					197, 0, 39321, 0,
					/* [199] */
					198, 0, 26214, 65535,
					/* [200] */
					199, 0, 26214, 52428,
					/* [201] */
					200, 0, 26214, 39321,
					/* [202] */
					201, 0, 26214, 26214,
					/* [203] */
					202, 0, 26214, 0,
					/* [204] */
					203, 0, 26214, 13107,
					/* [205] */
					204, 0, 13107, 65535,
					/* [206] */
					205, 0, 13107, 52428,
					/* [207] */
					206, 0, 13107, 39321,
					/* [208] */
					207, 0, 13107, 26214,
					/* [209] */
					208, 0, 13107, 13107,
					/* [210] */
					209, 0, 13107, 0,
					/* [211] */
					210, 0, 0, 65535,
					/* [212] */
					211, 0, 0, 52428,
					/* [213] */
					212, 0, 0, 39321,
					/* [214] */
					213, 0, 0, 26214,
					/* [215] */
					214, 0, 0, 13107,
					/* [216] */
					215, 61166, 0, 0,
					/* [217] */
					216, 56797, 0, 0,
					/* [218] */
					217, 48059, 0, 0,
					/* [219] */
					218, 43690, 0, 0,
					/* [220] */
					219, 34952, 0, 0,
					/* [221] */
					220, 30583, 0, 0,
					/* [222] */
					221, 21845, 0, 0,
					/* [223] */
					222, 17476, 0, 0,
					/* [224] */
					223, 8738, 0, 0,
					/* [225] */
					224, 4369, 0, 0,
					/* [226] */
					225, 0, 61166, 0,
					/* [227] */
					226, 0, 56797, 0,
					/* [228] */
					227, 0, 48059, 0,
					/* [229] */
					228, 0, 43690, 0,
					/* [230] */
					229, 0, 34952, 0,
					/* [231] */
					230, 0, 30583, 0,
					/* [232] */
					231, 0, 21845, 0,
					/* [233] */
					232, 0, 17476, 0,
					/* [234] */
					233, 0, 8738, 0,
					/* [235] */
					234, 0, 4369, 0,
					/* [236] */
					235, 0, 0, 61166,
					/* [237] */
					236, 0, 0, 56797,
					/* [238] */
					237, 0, 0, 48059,
					/* [239] */
					238, 0, 0, 43690,
					/* [240] */
					239, 0, 0, 34952,
					/* [241] */
					240, 0, 0, 30583,
					/* [242] */
					241, 0, 0, 21845,
					/* [243] */
					242, 0, 0, 17476,
					/* [244] */
					243, 0, 0, 8738,
					/* [245] */
					244, 0, 0, 4369,
					/* [246] */
					245, 61166, 61166, 61166,
					/* [247] */
					246, 56797, 56797, 56797,
					/* [248] */
					247, 48059, 48059, 48059,
					/* [249] */
					248, 43690, 43690, 43690,
					/* [250] */
					249, 34952, 34952, 34952,
					/* [251] */
					250, 30583, 30583, 30583,
					/* [252] */
					251, 21845, 21845, 21845,
					/* [253] */
					252, 17476, 17476, 17476,
					/* [254] */
					253, 8738, 8738, 8738,
					/* [255] */
					254, 4369, 4369, 4369,
					/* [256] */
					255, 0, 0, 0
				},
				{8, 7, 43, 139},
				{8, 7, 43, 139},
				srcCopy,
				{8, 7, 43, 139},
				$"0008 0013 0020 002B 0036 7FFF 0009 0012"
				$"0013 002A 002B 7FFF 000A 0020 0021 0029"
				$"002A 7FFF 000B 0021 0023 0036 0039 7FFF"
				$"000C 0011 0012 0023 0024 0028 0029 0039"
				$"003A 7FFF 000D 0027 0028 7FFF 000E 0010"
				$"0011 0024 0025 0051 0057 7FFF 000F 0025"
				$"0027 7FFF 0010 0057 005B 7FFF 0011 000F"
				$"0010 0050 0051 7FFF 0013 000E 000F 005B"
				$"005C 7FFF 0014 0041 0047 004F 0050 0060"
				$"0064 0065 006B 0070 0074 0075 007B 7FFF"
				$"0015 003F 0041 0047 0049 0064 0065 006B"
				$"006C 0074 0075 007B 007C 7FFF 0016 000D"
				$"000E 003A 003B 003E 003F 0049 004A 005C"
				$"005D 006C 006E 007C 007E 7FFF 0017 003B"
				$"003C 004A 004C 004E 004F 006E 006F 007E"
				$"007F 7FFF 0018 000C 000D 003C 003E 004C"
				$"004D 006F 0070 007F 0080 7FFF 0019 005D"
				$"005E 7FFF 001A 004D 004E 0080 0081 7FFF"
				$"001B 000B 000C 7FFF 001C 005E 005F 0081"
				$"0085 7FFF 001D 000A 000B 0085 0086 7FFF"
				$"001E 0086 0089 7FFF 001F 003D 003E 0055"
				$"0058 005F 0060 0089 008A 7FFF 0020 0009"
				$"000A 0054 0055 0058 0059 008A 008B 7FFF"
				$"0021 003E 003F 7FFF 0022 0008 0009 003F"
				$"0041 0053 0054 7FFF 0023 0041 0042 004C"
				$"004F 0059 005D 006F 0070 0077 0078 007F"
				$"0081 7FFF 0024 0007 0008 003D 003E 0042"
				$"0044 004A 004C 0067 0068 006E 006F 0078"
				$"0079 007E 007F 0081 0083 008A 008B 7FFF"
				$"0025 003A 003E 0044 004A 004F 0053 005D"
				$"0060 0068 006E 0079 007E 0083 0084 0089"
				$"008A 7FFF 0026 0084 0089 7FFF 0027 0007"
				$"000C 7FFF 0028 000B 000C 7FFF 0029 000B"
				$"000C 0060 0063 0070 0074 7FFF 002A 000C"
				$"003A 7FFF 002B 0063 0067 0074 0077 7FFF"
				$"7FFF",
				$"10F5 0000 BFF6 CA00 E3F6 0000 BFF7 CAAC"
				$"0014 F600 01BF CAF6 E300 CAF7 0001 BFCA"
				$"F8E3 00CA AC00 15F6 0001 BFCA F6E3 01CA"
				$"E3F9 0001 BFCA F7E3 00CA AC00 16F6 0000"
				$"CAF4 E302 CAFA FAFB 0000 CAF6 E300 CAFE"
				$"FAAF 0019 F700 01BF CAF4 E303 CAE3 FAFA"
				$"FD00 01BF CAF6 E300 CAFD FAB0 0018 F700"
				$"01BF CAF3 E302 CAE3 FAFE 0001 BFCA F5E3"
				$"00CA FDFA B000 1AF8 0001 BFCA F1E3 05CA"
				$"FAFA 0000 CAF4 E300 CAFD FAEA 00FB 23CD"
				$"001A F800 01BF CAF1 E305 CAE3 FAFA BFCA"
				$"F4E3 00CA FDFA EA00 FB23 CD00 19F8 0000"
				$"CAEF E303 CAFA E3CA F3E3 00CA FDFA EA00"
				$"FB23 FD81 D100 1DF9 0001 BFCA EFE3 02CA"
				$"E3CA F2E3 00CA FDFA EB00 FD23 0000 FE23"
				$"FE81 D100 1AF9 0000 CAED E300 CAF1 E300"
				$"CAFD FAEB 00FD 2300 00FE 23FE 81D1 001D"
				$"FA00 01BF CAED E300 CAF1 E300 CAFD FAEB"
				$"00FD 2300 00FE 2300 00FE 81D2 002E FA00"
				$"01BF CADF E3FB 0501 FAFA FA00 FB17 F900"
				$"FD23 0200 0081 FE23 FE81 FD00 FD1E 0000"
				$"FB1E FC00 FDD2 0000 FBD2 F100 24FA 0000"
				$"CAE0 E3F8 0500 FAFC 00F7 17FB 00FD 2302"
				$"0000 81FE 23FE 81FD 00F5 1EFD 00F5 D2F2"
				$"0043 FB00 01BF CAE1 E3FD 0502 E3E3 CAFD"
				$"0500 81FE 00FC 1702 0000 81FD 17FC 00FD"
				$"2302 0081 81FE 2300 00FE 81FE 00FB 1E02"
				$"8100 00FD 1E02 8100 00FB D202 8100 00FD"
				$"D200 81F4 004B FB00 00CA E0E3 FE05 FEE3"
				$"01CA 81FE 0503 8181 0000 FD17 0000 FD81"
				$"FE17 0381 8100 00FD 2301 0000 FE81 FE23"
				$"FE81 FE00 FC1E 0481 8100 8181 FE1E 0281"
				$"8100 FCD2 0481 8100 8181 FED2 0181 81F5"
				$"0042 FC00 01BF CADA E301 CAFA FE05 FE81"
				$"FD17 0000 FD81 0100 00FC 8100 00FD 2301"
				$"0000 FE81 FE23 FE81 FE00 FD1E FC81 0100"
				$"00FE 1E01 8181 FDD2 FC81 0100 00FE D201"
				$"8181 F600 42FC 0000 CAD9 E301 CAFA FE05"
				$"FE81 FD17 0000 FE81 FD00 FD81 0000 FD23"
				$"0000 FE81 0000 FE23 0000 FE81 0100 00FD"
				$"1EFD 81FE 00FE 1E01 8181 FDD2 FD81 FE00"
				$"FED2 0181 81F6 0037 FC00 00CA D9E3 FC05"
				$"FE81 FD17 FE81 F800 FD23 0100 00FE 8101"
				$"0000 FE23 FE81 0100 00FD 1EFE 81FD 00FE"
				$"1EFE 81FE D2FE 81FD 00FE D2FE 81F7 002E"
				$"FD00 01BF CADC E3F9 05FE 81FD 17FE 81F8"
				$"00F3 23FE 8101 0000 FD1E FE81 FD00 FE1E"
				$"FE81 FED2 FE81 FD00 FED2 FE81 F700 35FD"
				$"0000 CADD E3FC 0501 CAFA FE05 FE81 FD17"
				$"FE81 F800 F323 0000 FE81 0000 FD1E FE81"
				$"FD00 FE1E FE81 FED2 FE81 FD00 FED2 FE81"
				$"FDFF FB00 3EFE 0001 BFCA DEE3 FD05 03E3"
				$"E3CA 81FE 05FE 81FD 17FE 81F9 00FC 23FA"
				$"81FD 23FE 8100 00FD 1EFE 81FD 00FE 1EFE"
				$"81FE D2FE 81FD 00FE D202 8181 FFFD 0000"
				$"FFFC 0042 FE00 00CA DDE3 FE05 FEE3 01CA"
				$"81FE 05FE 81FD 17FE 81F9 00FD 2300 00F9"
				$"81FE 23FE 8100 00FD 1EFE 81FD 00FE 1EFE"
				$"81FE D2FE 81FD 00FE D202 81FF 81FD FF05"
				$"81FF 8181 0000 4DFE 0000 CADD E3FE 05FE"
				$"E300 CAFD 05FE 8100 00FD 1703 8181 0000"
				$"FD17 0100 00FD 23FC 81FE 00FD 23FD 81FC"
				$"1E01 8181 FE00 FE1E 0000 FE81 FDD2 0181"
				$"81FE 00FE D20D 0081 FF81 FF00 00FF 00FF"
				$"0000 8100 4902 0000 CADC E3FD 0501 E3E3"
				$"FC05 FE81 0000 FC17 0181 00FC 1700 00FD"
				$"2300 00FD 81FC 00FD 23FE 81FB 1E02 8100"
				$"00FD 1E00 00FE 81FC D202 8100 00FD D203"
				$"0081 FF81 FEFF 0600 81FF 8181 0081 4302"
				$"0000 CADB E3FB 0500 FAFE 05FE 8101 0000"
				$"F717 0200 8181 FE23 0000 FD81 FC00 FD23"
				$"FE81 FD1E 0081 FA1E 0000 FE81 FDD2 0081"
				$"FAD2 0E00 8181 FF81 FF00 81FF 81FF 0081"
				$"0081 4602 00BF CADA E3FD 0502 CAFA FAFE"
				$"0501 8181 FD00 FB17 0100 00FE 81FE 23FD"
				$"81FB 00FD 23FD 81FE 1E01 8181 FC1E 0000"
				$"FD81 FDD2 0181 81FC D200 00FD 810A FF00"
				$"0081 00FF 8181 0000 8133 0100 CAD5 E300"
				$"CAFE 8100 FAFE 81FC 00F7 81FE 00FD 81F7"
				$"00FD 81FE 1EF6 8100 00FD D2FE 8100 00FA"
				$"8101 0000 FDFF 0581 0000 8100 8137 01BF"
				$"CAD5 E304 CA81 81FA FAFD 81FB 00FB 81FC"
				$"00FD 81F7 00FD 81FE 1EFE 8100 00FB 8101"
				$"0000 FDD2 FE81 0100 00FC 81FC 0001 8181"
				$"FD00 0181 001B 00CA D4E3 00CA FDFA DB00"
				$"FD1E FE81 F800 FDD2 FE81 F400 FC81 0100"
				$"0012 D2CA FDFA DB00 FD1E FE81 F800 FDD2"
				$"FE81 ED00 12FC 00D3 FADB 00FD 1EFE 81F8"
				$"00FD D2FE 81ED 0012 FD00 D2FA DB00 FD1E"
				$"FE81 F800 FDD2 FE81 ED00 0EFC 00D3 FAD8"
				$"00FD 81F4 00FE 81ED 000A A500 FD81 F400"
				$"FE81 ED00"
			},
			/* [5] */
			OpEndPic {

			}
		}
	}
};

