//	UBehaviorApp.h
//	Copyright  1992-1996 Nick Nallick.  All rights reserved.

#ifndef __BehaviorApp__
#define __BehaviorApp__

#ifndef __UAPPLICATION__
#include <UApplication.h>
#endif

#ifndef __MacAppCompatibility__
#include "MacAppCompatibility.h"
#endif

class TBehaviorApp : public TApplication
{
	DECLARE_CLASS(TBehaviorApp);

#if qMacAppVersion > 33
	TBehaviorApp(OSType itsMainFileType = kAllQuestionsType_AC, OSType itsCreator = kAllQuestionsType_AC);
	virtual void DoInitialState();	// override
#else
	VIRTUAL void IBehaviorApp(OSType itsMainFileType, OSType itsCreator);
#endif
	
			void MakeBehaviors();
};

#endif
