// UDialog.h
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.


#ifndef __UDIALOG__
#define __UDIALOG__

// MacApp

#ifndef __UFLOATINGTEMGR__
#include "UFloatingTEManager.h"
#endif

#if qBackwardCompatible
// Let this file include the previous core dialog controls, as it used to.

#ifndef __UBUTTON__
#include "UButton.h"
#endif

#ifndef __UCHECKBOX__
#include "UCheckbox.h"
#endif

#ifndef __UCLUSTER__
#include "UCluster.h"
#endif

#ifndef __UDIALOGTEVIEW__
#include "UDialogTEView.h"
#endif

#ifndef __UEDITTEXT__
#include "UEditText.h"
#endif

#ifndef __UDIALOGVIEW__
#include "UDialogView.h"
#endif

#ifndef __UICON__
#include "UIcon.h"
#endif

#ifndef __UICONSUITE__
#include "UIconSuite.h"
#endif

#ifndef __UNUMBERTEXT__
#include "UNumberText.h"
#endif

#ifndef __UPATTERN__
#include "UPattern.h"
#endif

#ifndef __UPICTURE__
#include "UPicture.h"
#endif

#ifndef __URADIO__
#include "URadio.h"
#endif

#ifndef __USMALLICON__
#include "USmallIcon.h"
#endif

#ifndef __UTARGETBORDERVIEW__
#include "UTargetBorderView.h"
#endif

#endif // qBackwardCompatible

//----------------------------------------------------------------------------------------
// Externally available function declaration.
//----------------------------------------------------------------------------------------

EXPORT_MA void InitUDialog();
	// This routine must be called if UDialog is used so that all the necessary
    // initialization can be performed.

#endif // __UDIALOG__
