//----------------------------------------------------------------------------------------
// MMacApplet.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//
// Based on an example provided by Carsten Brinkschulte, Century Software.
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/26/97	bpa		Created.
*/

#ifndef __UMACAPPLETAPPLICATION__
#include "UMacAppletApplication.h"
#endif

// MacApp

#ifndef __MACAPP__
#include "MacApp.h"
#endif

#if qDrag
	#ifndef __UDRAGDROP__
	#include "UDragDrop.h"
	#endif
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __USECTIONMGR__
#include "USectionMgr.h"
#endif

#ifndef __UTEVIEW__
#include "UTEView.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

#ifndef __UJAVAVIEW__
#include "UJavaView.h"
#endif

#ifndef __UJAVAAUTOVIEW__
#include "UJavaAutoView.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
#pragma push
#pragma processor 68000
#pragma segment Main

void main()
{
	InitUMacApp(6); 							// Initialize MacApp; 6 calls to MoreMasters

	InitUPrinting();
	InitUTEView();

#if qDrag
	if (HasDragManager_AC())
		InitUDragManager();
#endif
	InitUBackgroundAdorner();
	InitUJavaView();
	InitUJavaAutoView();
	
	TMacAppletApplication macAppletApplication;
	macAppletApplication.Run();
} // main 

#pragma pop

//----------------------------------------------------------------------------------------
// End of MMacApplet.cp
