//----------------------------------------------------------------------------------------
// UMacAppletDocument.cpp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/26/97	bpa		Created.
*/

#ifndef __UMacAppletDocument__
#include "UMacAppletDocument.h"
#endif

// MacApp

#ifndef __UJAVADOCUMENTCONTEXT__
#include "UJavaDocumentContext.h"
#endif

// ACS

#ifndef __CJavaSession_AC__
#include "CJavaSession_AC.h"
#endif

//========================================================================================
// TMacAppletDocument
//========================================================================================

//----------------------------------------------------------------------------------------
// TMacAppletDocument::TMacAppletDocument: 
//----------------------------------------------------------------------------------------

#undef Inherited
#define Inherited TFileBasedDocument

TMacAppletDocument::TMacAppletDocument(TFile* itsFile) :
	TFileBasedDocument(itsFile, kTextType_AC)
{
}

//----------------------------------------------------------------------------------------
// TMacAppletDocument destructor
//----------------------------------------------------------------------------------------

TMacAppletDocument::~TMacAppletDocument()
{
}

//----------------------------------------------------------------------------------------
// TMacAppletDocument::DoMakeViews: 
//----------------------------------------------------------------------------------------

void TMacAppletDocument::DoMakeViews(bool /* forPrinting */)
{
	TFile* aFile = GetFile();
	
	if (aFile)
	{
		CFSSpec_AC fileSpec(aFile->GetFileSpec());	
		CStr255_AC url(CJavaSession_AC::FSSpecToURL(fileSpec));
		
		CJavaAutoAppletContainer_AC* autoAppletContainer = TH_new TJavaAutoDocumentContainer(this, url);
	}
}


//----------------------------------------------------------------------------------------
// end of file