//----------------------------------------------------------------------------------------
// MSimpleSizer.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// SimpleSizer

#ifndef __USSApplication__
#include "USSApplication.h"
#endif

// MacApp

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UPICTURE__
#include "UPicture.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __USizer__
#include "USizer.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);						// Initialize MacApp with 4 calls to MoreMasters
	InitUPrinting();					// Initialize the printing gear
	
	InitUSizer();
	InitUPicture();

	TSSApplication aSSApplication;		// Allocate application object
	aSSApplication.Run();				// Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MSimpleSizer.cp
