//----------------------------------------------------------------------------------------
// ODUtils_AC.h
// Copyright  1996 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __ODUtils_AC__
#define __ODUtils_AC__

// ALOE

#ifndef __ALOE_AC__
#include "ALOE_AC.h"
#endif




struct SODPersistentID {
	SODPersistentID(const ALOEPersistentID id)
		{ Set(id); }
	
	inline void Set(const ALOEPersistentID id)
		{ fID[0] = id[0]; fID[1] = id[1]; fID[2] = id[2]; fID[3] = id[3]; }
	
	inline bool operator== (const ALOEPersistentID rhs)
		{ return fID[0] == rhs[0] && fID[1] == rhs[1] && fID[2] == rhs[2] && fID[3] == rhs[3]; }

	ALOEPersistentID fID;
};


inline void SetALOEPersistentID(ALOEPersistentID lhs, const ALOEPersistentID rhs) 
	{ lhs[0] = rhs[0]; lhs[1] = rhs[1]; lhs[2] = rhs[2]; lhs[3] = rhs[3]; }
	// quick expansion of a copy statement

inline bool CompareALOEPersistentID(const ALOEPersistentID lhs, const ALOEPersistentID rhs) 
	{ return lhs[0] == rhs[0] && lhs[1] == rhs[1] && lhs[2] == rhs[2] && lhs[3] == rhs[3]; }
	// quick expansion of a comparison
	
#endif // __ODUtils_AC__