// CSeparator_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#pragma once

#ifndef __CSeparator_AC__
#define __CSeparator_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

#ifndef __CControl_AC__
#include "CControl_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CSeparator_AC
// CSeparator_AC implements the standard AGA separator line.
// It automatically determines its orientation based on the coordinate
// bounding box dimensions.
//----------------------------------------------------------------------------------------

class EXPORT_AC CSeparator_AC : public CControl_AC
{
public:

	CSeparator_AC(const CRect_AC& bounds);
	virtual ~CSeparator_AC();
	
	virtual void	DrawObject();
};

#endif // __CSeparator_AC__

