//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CSimpleHTTPServer_AC__
#define __CSimpleHTTPServer_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CNetworkStrategy_AC__
#include "CNetworkStrategy_AC.h"
#endif

#ifndef __CErrorHandler_AC__
#include "CErrorHandler_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC is a simple example of a CNetworkStrategy_AC that serves up
// web pages. It's not too hip on HTML but provides the basic functionality. See Webinator
// for example of use.
//----------------------------------------------------------------------------------------

class EXPORT_AC CSimpleHTTPServer_AC : 	public CNetworkStrategy_AC,
										public MErrorHandler_AC
{
public:
	CSimpleHTTPServer_AC();
	virtual ~CSimpleHTTPServer_AC();

protected:
	virtual CError_AC RespondToError(CError_AC error, MErrorProne_AC* offendingObject);

	virtual void PrepareToReceiveData(CServiceHandler_AC* inServiceHandler);

	virtual void ReceiveData(CServiceHandler_AC* inServiceHandler, CNetworkTransaction_AC* inTransaction);

};

#endif