//----------------------------------------------------------------------------------------
// CTCPConnection.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Net

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif

#ifndef __CServiceState_AC__
#include "CServiceState_AC.h"
#endif

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif


//----------------------------------------------------------------------------------------
// CTCPConnection_AC::CTCPConnection_AC
//----------------------------------------------------------------------------------------

CTCPConnection_AC::CTCPConnection_AC(CReactor_AC* inReactor)
	: CServiceHandler_AC(inReactor)
{
}

//----------------------------------------------------------------------------------------
// CTCPConnection_AC::~CTCPConnection_AC
//----------------------------------------------------------------------------------------

CTCPConnection_AC::~CTCPConnection_AC()
{
}

//----------------------------------------------------------------------------------------
// CTCPConnection_AC::SetMaxNumConnections
//----------------------------------------------------------------------------------------

void CTCPConnection_AC::SetMaxNumConnections(unsigned long max)
{
	CInternetUtils_AC::SetMaxNumTCPConnections(max);
}

//----------------------------------------------------------------------------------------
// CTCPConnection_AC::GetMaxNumConnections
//----------------------------------------------------------------------------------------

unsigned long CTCPConnection_AC::GetMaxNumConnections()
{
	return CInternetUtils_AC::GetMaxNumTCPConnections();
}

//----------------------------------------------------------------------------------------
// CTCPConnection_AC::GetConnectionCount
//----------------------------------------------------------------------------------------

unsigned long CTCPConnection_AC::GetConnectionCount()
{
	return CInternetUtils_AC::GetTCPConnectionCount();
}
