//----------------------------------------------------------------------------------------
// CMacTCPDebug_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __MacTCPDebug_AC__
#define __MacTCPDebug_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

#if qNetDebug_AC

// Patterns

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

// Core

#ifndef __Debug_AC__
#include "Debug_AC.h"
#endif

//----------------------------------------------------------------------------------------
// class CMacTCPDebug_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPDebug_AC : public CDebug_AC
{
public:
	static const char* GetTCPEventCode(short inErr);
	
	static const char* GetTCPTerminationReason(long inID);
	
private:
	static const char* MacTCPTableLookup(const TLookupTable* inTable, long inKey);
	
};

#endif

#endif

#endif