//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __COTInternetUtilsRep_AC__
#define __COTInternetUtilsRep_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif

//----------------------------------------------------------------------------------------
// class COTInternetUtilsRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC COTInternetUtilsRep_AC : public CInternetUtilsRep_AC
{
public:
	COTInternetUtilsRep_AC();
	
	virtual ~COTInternetUtilsRep_AC();

	virtual void ConvertAddressToString(char* str, CInternetHostID_AC host );

	virtual void ConvertStringToAddress(CInternetHostID_AC& host, const char* str);
	
	virtual CInternetAddress_AC GetLocalAddress();
	
	virtual void SetMaxNumTCPConnections(unsigned long max);

	virtual unsigned long GetMaxNumTCPConnections() const;

	virtual unsigned long GetTCPConnectionCount() const;
	
	virtual bool IsOpen() const;
};

#endif
#endif