//----------------------------------------------------------------------------------------
// CServiceHandlerFactory_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CServiceHandlerFactory_AC__
#define __CServiceHandlerFactory_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

// Patterns

#ifndef __MRefCountable_AC__
#include "MRefCountable_AC.h"
#endif

// forward references

class CServiceHandler_AC;
class CReactor_AC;

//----------------------------------------------------------------------------------------
// class CServiceHandlerFactory_AC is a base class for factories that create specific
// subclasses of CServiceHandler_AC.
//----------------------------------------------------------------------------------------

class CServiceHandlerFactory_AC : public MRefCountable_AC
{
public:
	CServiceHandlerFactory_AC() 
	{ }
	
	virtual ~CServiceHandlerFactory_AC()
	{ }
	
	virtual CServiceHandler_AC* CreateServiceHandler(CReactor_AC* inReactor) = 0;

};

#endif