//----------------------------------------------------------------------------------------
// CAbstractThreadSchedule_AC.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Copyright (C) 1994 Taligent, Inc.
//----------------------------------------------------------------------------------------

#ifndef __CAbstractThreadSchedule_AC__
#include "CAbstractThreadSchedule_AC.h"
#endif

#ifndef __CThreadRunner_AC__
#include "CThreadRunner_AC.h"
#endif

#if 0 
#	ifndef __CWinSchedule_AC__
#	include "CWinSchedule_AC.h"
#	endif
#else
#	ifndef __CThreadMgrSchedule_AC__
#	include "CThreadMgrSchedule_AC.h"
#	endif
#endif

//----------------------------------------------------------------------------------------
// Constructor
//----------------------------------------------------------------------------------------

CAbstractThreadSchedule_AC::CAbstractThreadSchedule_AC()
{
}

//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------

CAbstractThreadSchedule_AC::~CAbstractThreadSchedule_AC()
{
}

//----------------------------------------------------------------------------------------
// Create a schedule approprate for the existing thread handle
//----------------------------------------------------------------------------------------

CAbstractThreadSchedule_AC*  CAbstractThreadSchedule_AC::CreateThreadSchedule()
{
	
	CAbstractThreadSchedule_AC*	platformSchedule = NULL;
#if 0 
	platformSchedule = TH_new CWinSchedule_AC;
#else
	platformSchedule = TH_new CThreadManagerSchedule_AC;
#endif
	return platformSchedule;
}
