//----------------------------------------------------------------------------------------
// CTempSynchronize_AC.cp
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Copyright (C) 1994 Taligent, Inc.
//----------------------------------------------------------------------------------------

#ifndef __CTempSynchronize_AC__
#include "CTempSynchronize_AC.h"
#endif

#ifndef __CAbstractMonitorLock_AC__
#include "CAbstractMonitorLock_AC.h"
#endif

//----------------------------------------------------------------------------------------

CTempSynchronize_AC::CTempSynchronize_AC( CAbstractMonitorLock_AC* lock ):
    fMonitorLock( lock )
{
    fMonitorLock->Acquire();
}

//----------------------------------------------------------------------------------------

CTempSynchronize_AC::~CTempSynchronize_AC()
{
    fMonitorLock->Release();
}

