//----------------------------------------------------------------------------------------
// CThreadedReactorFactory_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#include "CThreadedReactorFactory_AC.h"
#include "CThreadedIdleEngine_AC.h"
#include "CReactor_AC.h"

CThreadedReactorFactory_AC::CThreadedReactorFactory_AC() 
{
}
CThreadedReactorFactory_AC::~CThreadedReactorFactory_AC() 
{
}
CReactor_AC* CThreadedReactorFactory_AC::CreateReactor()
{
	CReactor_AC* newReactor = TH_new CReactor_AC;
	newReactor->AquireIdleTimeEngine(TH_new CThreadedIdleEngine_AC);
	return newReactor; 
}

