//----------------------------------------------------------------------------------------
// CWhileSynchronized_AC.cp
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Copyright (C) 1994 Taligent, Inc.
//----------------------------------------------------------------------------------------

#ifndef __CWhileSynchronized_AC__
#include "CWhileSynchronized_AC.h"
#endif

#ifndef __CAbstractMonitorLock_AC__
#include "CAbstractMonitorLock_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Constructor acquires the lock
//----------------------------------------------------------------------------------------

CWhileSynchronized_AC::CWhileSynchronized_AC(CAbstractMonitorLock_AC *theLock) :
    fMonitorLock(theLock)
{ 
	fMonitorLock->Acquire(); 
}

//----------------------------------------------------------------------------------------
// Destructor releases the lock
//----------------------------------------------------------------------------------------

CWhileSynchronized_AC::~CWhileSynchronized_AC() 
{ 
	fMonitorLock->Release();
}
