//----------------------------------------------------------------------------------------
// TidyHeapSwitches_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __TidyHeapSwitches_AC__
#define __TidyHeapSwitches_AC__

#ifndef qTidyHeap
#	ifdef qDebug 
#		define qTidyHeap qDebug
#	else
#		define qTidyHeap 0
#	endif
#endif

#ifndef qDebugTidyHeap
#	if qTidyHeap
#		define qDebugTidyHeap 0
#	else
#		define qDebugTidyHeap 0
#	endif
#endif

// Tidy Heap doesn't include Core_AC.h yet, so for now I'll just duplicate this define.
// When it does, we can take the following out.
#ifndef EXPORT_AC

// Temporary
#define qSharedLibrary 0

// If you are building a DLL or shared library then be sure to define qExportSymbols externally
// to this file in order to properly set the export macros.

#if qMSWindows
	#if qExportSymbols
		#define EXPORT_AC __declspec(dllexport)
	#else
		#define EXPORT_AC __declspec(dllimport)
	#endif
#elif qSharedLibrary
	#if qExportSymbols
		#define EXPORT_AC __declspec(export)
	#else
		#define EXPORT_AC __declspec(import)
	#endif
#else
	#define EXPORT_AC
	#define EXPORT_MA
#endif // qMSWindows
#endif

#endif
