//----------------------------------------------------------------------------------------
// TidyHeapTypes_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __TidyHeapTypes_AC__
#define __TidyHeapTypes_AC__

//----------------------------------------------------------------------------------------
// typedefs
//----------------------------------------------------------------------------------------

typedef unsigned long 	CTidyHeapMarker_AC;
typedef short	 		CTidyHeapError_AC;


typedef void* 			(*GlobalNewProc)(size_t inSize);
typedef void 			(*GlobalDeleteProc)(void * inPtr);

#define pstrcpy(dest, src) ::BlockMove( (src), (dest), *(src) + 1 )

#endif