// Platform_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.

/* This file is intended to help "ease" header conflicts between Windows and MacOS */

#ifndef __Windows_AC__
#define __Platform_AC__

#ifndef __Core_AC__
#error "Include CoreAC.h to get Platform_AC.h"
#endif

#ifndef __CoreSwitches_AC__
#include "CoreSwitches_AC.h"
#endif

#ifndef __ConditionalMacros_AC__
#include "ConditionalMacros_AC.h"
#endif

#if qMSWindows
#	ifndef __QTMLMAPNAMES__
#		include "QTMLMapNames.h"
#	endif
#endif

// I think these need to go in cond. macros but for now..
#define qSharedLibrary 0

// If you are building a DLL or shared library then be sure to define qExportSymbols externally
// to this file in order to properly set the export macros.

#if qMSWindows
	#if qExportSymbols
		#define EXPORT_AC __declspec(dllexport)
	#else
		#define EXPORT_AC __declspec(dllimport)
	#endif
#elif qSharedLibrary
	#if qExportSymbols
		#define EXPORT_AC __declspec(export)
	#else
		#define EXPORT_AC __declspec(import)
	#endif
#else
	#define EXPORT_AC
	#define EXPORT_MA
#endif // qMSWindows

#endif // __Platform_AC__