//----------------------------------------------------------------------------------------
// CDebugStrStream_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// USAGE NOTE:
//	To use just include CDebugStrStream_AC.cp in your project, #include "CDebugStrStream_AC.h" where
// 	you want to use it and then start streaming to dout, like this:
//		dout << "The moon is made up of " << myPercent << "% cheese" << NL;
//	
//	Note: NL is a convience for newlines, see define below.
//
//	Warning: This class is not designed to be used during static creation or destruction
// 	time.

#ifndef __dout_AC__
#define __dout_AC__

#ifndef __Core_AC__
#include "Core_AC.h"
#endif

#if qCoreDebug

class CDebugStrStream_AC;
extern CDebugStrStream_AC dout;

#ifndef __CCharOutputSink_AC__
#include "CCharOutputSink_AC.h"
#endif

#ifndef __CBufferedStreamRep_AC__
#include "CBufferedStreamRep_AC.h"
#endif

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

class CBuffer_AC;

//----------------------------------------------------------------------------------------
// class CDebugStrStream_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CDebugStrStream_AC : public CCharOutputSink_AC
{
public:
	CDebugStrStream_AC();
	virtual ~CDebugStrStream_AC();
};

#endif
	// qCoreDebug
	
#endif


