// CResourceStream_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// Originally written by Larry S. Rosenstein. Used by permission

#ifndef __CResourceStream_AC__
#define __CResourceStream_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif
#ifndef __CRandomAccessStream_AC__
#include "CRandomAccessStream_AC.h"
#endif

class CResourceStreamRep_AC;

//----------------------------------------------------------------------------------------
// CResourceStream_AC: This implements a stream that reads and writes to partial resources.
// Since the partial resources traps are only available in System 7, this stream class can
// only be used under System 7. 
//----------------------------------------------------------------------------------------

class EXPORT_AC CResourceStream_AC : public CRandomAccessStream_AC
{
//	MA_DECLARE_CLONE;
	
public:
	//------------------------------------------------------------------------------------
	// Creation/Destruction 
	//------------------------------------------------------------------------------------
	CResourceStream_AC(ResType theType = kNoIdentifier_AC, ResNumber theID = kNoResource_AC);
		// Constructor
	virtual ~CResourceStream_AC();
		// Destructor
};


#endif