// FileTypes_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.

// This unit implements a set of simple type declarations.

#ifndef __FileTypes_AC__
#define __FileTypes_AC__

#ifndef __Files_AC__
#include "Files_AC.h"
#endif

// Toolbox

#ifndef __LIMITS__
#include <Limits.h>
#endif

const OSType kAllQuestionsType_AC = '\?\?\?\?';
const OSType kTextType_AC = 'TEXT';
const OSType kPictType_AC = 'PICT';
const OSType kSoundType_AC = 'snd ';
const OSType kStyleType_AC = 'styl';

const OSType kFolderType_AC = 'fold';
const OSType kFolderCreator_AC = kAllQuestionsType_AC;

const OSType kGenericType_AC = kAllQuestionsType_AC;
const OSType kGenericCreator_AC = kAllQuestionsType_AC;

const short kNoFileRefNum_AC = -(SHRT_MAX - 1);
	// an invalid file refnum; used to indicate an unopened file (actually interpreted by
    // HFS as a volume number). If you have this many volumes you are sick indeed!

#endif // __FileTypes_AC__