//----------------------------------------------------------------------------------------
// CLongGeometry_AC.cp
// Copyright  1996-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#include "CLongGeometry_AC.h"

#if qMSWindows
	#include "CTemplatePoint_AC.cpp"
	#include "CTemplateRect_AC.cpp"
#else
	#include "CTemplatePoint_AC.cp"
	#include "CTemplateRect_AC.cp"
#endif

// instantiate templates here.

template class CTemplatePoint_AC<long>;
template class CTemplateRect_AC<long>;


// WARNING: There seems to be a compiler problem here, and the following lines of code
// are a work around. Static members of a templated class do not seem to be being 
// expanded, or maybe they're dead stripped, if the header for the templated class 
// is precompiled.
// Metrowerks 12 6/18/97 mwf

#if qPrecompileImaging_AC
const CTemplatePoint_AC<long> CTemplatePoint_AC<long>::kZeroPt;			// Constructor keeps this from getting dead-stripped
const CTemplateRect_AC<long> CTemplateRect_AC<long>::kZeroRect;			// Constructor keeps this from getting dead-stripped
#endif