//----------------------------------------------------------------------------------------
// CTempRegion_AC.cp 
// Copyright  1996 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTempRegion_AC__
#include "CTempRegion_AC.h"
#endif

//========================================================================================
// CLASS CTempRegion_AC
//========================================================================================
CTempRegion_AC& CTempRegion_AC::operator=(const CTempRegion_AC& rgn)
{
	if (fData != rgn.fData)
		DisposeIfRgnHandle(fData);
	fData = const_cast<CTempRegion_AC&>(rgn).release(); // we take ownership of the data

	return *this;
}

CTempRegion_AC& CTempRegion_AC::operator=(const CRegion_AC& rgn)
{
	if (fData != rgn)
		DisposeIfRgnHandle(fData);
	fData = rgn;

	return *this;
}
