//----------------------------------------------------------------------------------------
// CDefaultReactorFactory_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CDefaultReactorFactory_AC__
#define __CDefaultReactorFactory_AC__

// Patterns

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif
#ifndef __CReactorFactory_AC__
#include "CReactorFactory_AC.h"
#endif
#ifndef __CReactor_AC__
#include "CReactor_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CDefaultReactorFactory_AC creates a default reactor without an Idle Engine.
//----------------------------------------------------------------------------------------

class EXPORT_AC CDefaultReactorFactory_AC : public CReactorFactory_AC
{
public:
	CDefaultReactorFactory_AC() {}
		// ctor
	
	virtual ~CDefaultReactorFactory_AC() {}
		// dtor
	
	virtual CReactor_AC* CreateReactor()
	{	return TH_new CReactor_AC; }
};

#endif