//----------------------------------------------------------------------------------------
// CPatternEvent_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CPatternEvent_AC__
#define __CPatternEvent_AC__

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CPatternEvents_AC defines the very basic event the event subsystem (MEventTransceiver_AC,
// CReactor_AC, etc.) knows about.
//----------------------------------------------------------------------------------------

class EXPORT_AC CPatternEvent_AC 
{
public:
	enum ePatternEvent
	{ 		
		kNullEvent 					= 'null',		
		kError 						= 'eror',	
		kTimedOut					= 'time'
	};
};

#endif