//----------------------------------------------------------------------------------------
// CCountingStream_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// Originally written by Larry S. Rosenstein. Used by permission
//----------------------------------------------------------------------------------------

#ifndef __CCountingStream_AC__
#define __CCountingStream_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif
#ifndef __CRandomAccessStream_AC__
#include "CRandomAccessStream_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CCountingStream_AC: This implements a stream that counts up the total number of bytes. It
// is only usable for writing. You will get a debugging break if you try to read from this
// kind of stream. 
//----------------------------------------------------------------------------------------

class EXPORT_AC CCountingStream_AC : public CRandomAccessStream_AC
{	
public:
	//------------------------------------------------------------------------------------
	// Creation/Destruction 
	//------------------------------------------------------------------------------------

	CCountingStream_AC();
		// Constructor

	virtual ~CCountingStream_AC();
		// Destructor
};
	
#endif