//----------------------------------------------------------------------------------------
// CoreStreaming_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CoreStreaming_AC__
#define __CoreStreaming_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

//----------------------------------------------------------------------------------------
// forward declarations
//----------------------------------------------------------------------------------------

class CCharStr_AC;
class CPascalStr_AC;
class CStream_AC;

//----------------------------------------------------------------------------------------
// operator << for streaming C and Pascal strings
//----------------------------------------------------------------------------------------

CStream_AC& operator << (CStream_AC& inStream, const CCharStr_AC& inString);
CStream_AC& operator << (CStream_AC& inStream, const CPascalStr_AC& inString);

#endif
