// UApplicationSimpleContainer.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UApplicationSimpleContainer__
#define __UApplicationSimpleContainer__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer
//----------------------------------------------------------------------------------------

class TApplicationSimpleContainer: public TApplication
{
	MA_DECLARE_CLASS;

public:
	
	TApplicationSimpleContainer();
		// Constructor
	
	virtual ~TApplicationSimpleContainer();
		// Destructor
	
#if qALOE
	virtual void NewODSession();
		// We override this method to make the ALOE connection at startup time.
		// Compare with CalcAndGraph which makes the connection much later.
#endif

	// Documents
	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);	//	Override
	
	// Commands
	virtual void DoSetupMenus(); // Override		
	virtual void DoMenuCommand(CommandNumber aCommandNumber); // Override
};	

#endif
