//----------------------------------------------------------------------------------------
// MCPartyLineApp.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// CPartyLineApp

#ifndef __CPartyLineApp__
#include "CPartyLineApp.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif


//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitInternetSuite_AC();
	
	/*	Typically, you will have a few of your own initialization routines here
		which are used to prevent dead code stripping. */

	CPartyLineApp partyLine;							// Allocate application object
	partyLine.Run();									// Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MCPartyLineApp.cp
