//----------------------------------------------------------------------------------------
// ULogWindow.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __ULogWindow__
#include "ULogWindow.h"
#endif

#ifndef __UWindow__
#include "UWindow.h"
#endif



//----------------------------------------------------------------------------------------
// TLogWindow::TLogWindow
//----------------------------------------------------------------------------------------

TLogWindow::TLogWindow()
	: TTEViewStream(NULL),
	fWindow(NULL)
{
}

//----------------------------------------------------------------------------------------
// TLogWindow::~TLogWindow
//----------------------------------------------------------------------------------------

TLogWindow::~TLogWindow()
{
}

//----------------------------------------------------------------------------------------
// TLogWindow::ReadViewsFromResource
//----------------------------------------------------------------------------------------

void TLogWindow::ReadViewsFromResource(short id, OSType inTEViewID)
{
	if(!gViewServer)
		gDispatcher->DoMakeViewServer();

	fWindow = gViewServer->NewTemplateWindow(id, NULL);
	::ThrowIfNULL_AC(fWindow);

	ReadTEViewFromResource(fWindow, inTEViewID);
}

//----------------------------------------------------------------------------------------
// TLogWindow::Show
//----------------------------------------------------------------------------------------

void TLogWindow::Show()
{
	if(fWindow) fWindow->Open();
}
