//----------------------------------------------------------------------------------------
// UQD3DApplication.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __UQD3DApplication__
#define __UQD3DApplication__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

//----------------------------------------------------------------------------------------
// TQD3DApplication
//----------------------------------------------------------------------------------------

class TQD3DApplication: public TApplication
{
	MA_DECLARE_CLASS;

public:
	
	TQD3DApplication();
	
	virtual ~TQD3DApplication();
	
	// ---------------------------------------------------------
	// General Setup Methods
	// ---------------------------------------------------------
	
	virtual TDocument* 	DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);	
	// create QD3D viewer or QD3D box documents
	
	virtual void 		DoSetupMenus();
	// enable cNewViewer command
};	

#endif
