// UViewerDocument.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 

#ifndef __UViewerDocument__
#define __UViewerDocument__

#ifndef __UDOCUMENT__
#include "UFileBasedDocument.h"
#endif

#ifndef __UQD3DViewer__
#include "UQD3DViewer.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class TQD3DViewer;

//----------------------------------------------------------------------------------------
// TViewerDocument
//----------------------------------------------------------------------------------------

class TViewerDocument: public TFileBasedDocument
{
	MA_DECLARE_CLASS;
	
public:
	TViewerDocument(TFile* itsFile = NULL); 

	virtual ~TViewerDocument();

	virtual void DoMakeViews(bool forPrinting);
	
	virtual void DoSetupMenus();

	virtual	void DoMenuCommand(CommandNumber aCommandNumber);
	
	virtual	void Write3DMF();

protected:
	TQD3DViewer*	fViewer;
};

#endif
