//----------------------------------------------------------------------------------------
// UViewerWindow.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UViewerWindow__
#define __UViewerWindow__

#ifndef __UViewerDocument__
#include "UViewerDocument.h"
#endif

//----------------------------------------------------------------------------------
// Constants
const IDType	kQD3DViewer = 'q3d2';


//----------------------------------------------------------------------------------
// TViewerWindow
//----------------------------------------------------------------------------------

class TViewerWindow : public TWindow
{
	MA_DECLARE_CLASS;
	
public:
	TViewerDocument* 	fViewerDocument;
	TQD3DViewer* 	  	fQD3DViewer;
	
	TViewerWindow();
	
	virtual ~TViewerWindow();
	
	virtual	void DoPostCreate(TDocument* itsDocument);
	
	virtual void DoEvent(EventNumber eventNumber, TEventHandler* source, TEvent* event);
	
	virtual void SetViewerFlags();
};

#endif