//----------------------------------------------------------------------------------------
// Main.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// CReporterExampleApp

#ifndef __CReporterExampleApp__
#include "CReporterExampleApp.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif
#ifndef __ClassRegistration_AC__
#include "ClassRegistration_AC.h"
#endif

#ifndef __UCLASSDESC__
#include "UClassDesc.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif


//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main ()
{	
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitUBackgroundAdorner();
	
	
	CReporterExampleApp ReporterExample;				// Allocate application object
	ReporterExample.Run();								// Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MCReporterExampleApp.cp
