//----------------------------------------------------------------------------------------
// USimpleThread.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __USimpleThread__
#include "USimpleThread.h"
#endif

#ifndef _STDLIB
#include <stdlib.h>
#endif

#ifndef __THREADS__
#include <Threads.h>
#endif

//----------------------------------------------------------------------------------------
// Constructor
//----------------------------------------------------------------------------------------

TSimpleThread::TSimpleThread(TSimpleThreadsView* theView) :
	fView(theView)
{
}

//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------

TSimpleThread::~TSimpleThread()
{
}

//----------------------------------------------------------------------------------------
// Run
//----------------------------------------------------------------------------------------

void TSimpleThread::Run()
{
	int iter = 0;
	if (fView != NULL) 
	{
		while (!ShutdownRequested())
		{
			fView->DrawSpirograph(iter);
			Yield();
		}
	}
}
