//----------------------------------------------------------------------------------------
// USimpleThread.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __USimpleThread__
#define __USimpleThread__

#ifndef __CThread_AC__
#include "CThread_AC.h"
#endif

#ifndef __USIMPLETHREADSVIEW__
#include "USimpleThreadsView.h"
#endif

class	TSimpleThread : public CThread_AC 
{

public:

	TSimpleThread(TSimpleThreadsView* theView = NULL);
		// Constructor

	virtual ~TSimpleThread();
		// Destructor
		
	virtual void Run();
		// Represents the entry point for the code to be run in the thread
		// Overriden to provide the code the thread is to execute.
		
private:	
	TSimpleThreadsView* fView;
};

#endif