/******************************************************************************/
/*																										*/
/*	File:			CalcUtilities.r																*/
/*																										*/
/*	Description:	Separately compiled resources for Calc.   						*/
/*																										*/
/*																										*/
/*	Copyright  1985-96 by Apple Computer, Inc. All rights reserved. 	 		*/
/******************************************************************************/

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#define kColumnSizingCursor	256		/* ID of the column sizing cursor resource */
#define kRowSizingCursor		257		/* ID of the row sizing cursor resource */



/*--------------------------------------------------------------------------------
 Cursors
--------------------------------------------------------------------------------*/
/* Row Sizing Cursor */
resource 'CURS' (kRowSizingCursor,
#if qNames
"RowSizing",
#endif
	purgeable) {
	$"0000 0080 0140 0220 0630 0220 0220 3FFE"
	$"3FFE 3FFE 0220 0220 0630 0220 0140 0080",
	$"0000 0080 0140 0220 0630 0220 0220 3FFE"
	$"3FFE 3FFE 0220 0220 0630 0220 0140 0080",
	{8, 8}
};

/* Column Sizing Cursor */
resource 'CURS' (kColumnSizingCursor,
#if qNames
"ColSizing",
#endif
	purgeable) {
	$"0000 0000 0380 0380 0380 0BA0 1FF0 2388"
	$"4384 2388 1FF0 0BA0 0380 0380 0380 0000",
	$"0000 07C0 07C0 07C0 0FE0 1FF0 3FF8 7FFC"
	$"FFFE 7FFC 3FF8 1FF0 0FE0 07C0 07C0 07C0",
	{8, 7}
};


