//----------------------------------------------------------------------------------------
// MDemoText.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UDEMOTEXT__
#include "UDemoText.h"
#endif

// MacApp

#ifndef __MACAPP__
#include "MacApp.h"
#endif

#ifndef __UDRAGDROP__
#include "UDragDrop.h"
#endif

#if UsingDemoTextPrinting
#	ifndef __UPRINTING__
#	include "UPrinting.h"
#	endif
#endif

#ifndef __USECTIONMGR__
#include "USectionMgr.h"
#endif

#ifndef __UTEVIEW__
#include "UTEView.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(6); 							// Initialize MacApp; 6 calls to MoreMasters

#if UsingDemoTextPrinting
	InitUPrinting();
#endif

	InitUTEView();
	InitUDragManager();

	TDemoTextApplication gDemoTextApplication;
	gDemoTextApplication.Run();
}

//----------------------------------------------------------------------------------------
// End of MDemoText.cp
