/*
	TEDocument.r
	MacApp Resources for UTEDocument
	Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
*/

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#define kFileTooBig		1000				/* The 'File is too large' alert */
#define kContentNotExtracted		1017	/* Can't read all styles alert*/
#define kSnapshotNotExtracted 		1018	/* Can't read image format alert*/

/* Used when the user attempts to read a file larger than we can handle */

resource 'DITL' (kFileTooBig,
#if qNames
	"kFileTooBig",
#endif
	purgeable) {
	{
/* [ 1] */	{55, 288, 75, 348},
				Button {
					enabled,
					"OK"
				};
/* [ 2] */	{10, 75, 42, 348},
				StaticText {
					disabled,
					"DemoText cant read the entire file because it is too long."
				};
/* [ 3] */	{10, 20, 42, 52},
				Icon {
					disabled,
					stopIcon
				}
	}
};

resource 'ALRT' (kFileTooBig, purgeable) {
	{100, 110, 185, 468},
	kFileTooBig,
	{
/* [ 1] */	OK, visible, silent;
/* [ 2] */	OK, visible, silent;
/* [ 3] */	OK, visible, silent;
/* [ 4] */	OK, visible, silent
	},
	alertPositionMainScreen
};

