//----------------------------------------------------------------------------------------
// MSkeleton.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// Skeleton

#ifndef __UAPPLICATIONSKELETON__
#include "UApplicationSkeleton.h"
#endif

#ifndef __UVIEWSKELETON__
#include "UViewSkeleton.h"
#endif

// MacApp

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUPrinting();									// Initialize the printing gear
	
	InitUViewSkeleton();								// Initialize the application's view unit.

	TApplicationSkeleton aApplicationSkeleton;			// Allocate application object
	aApplicationSkeleton.Run();							// Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MSkeleton.cp
