// UCommandSkeleton.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UCOMMANDSKELETON__
#define __UCOMMANDSKELETON__

#ifndef __UCOMMAND__
#include "UCommand.h"
#endif

//----------------------------------------------------------------------------------------
// Forward and external classes
//----------------------------------------------------------------------------------------

class TDocumentSkeleton;
		
//----------------------------------------------------------------------------------------
// TCommandSkeleton
//----------------------------------------------------------------------------------------

class TCommandSkeleton: public TCommand
{
  public:
	TCommandSkeleton(CommandNumber itsCommandNumber = cNoCommand,
								  TDocumentSkeleton* itsDocumentSkeleton = NULL); 
		// Constructor
		
	virtual ~TCommandSkeleton();
		// Destructor
	
	// Commands
	virtual void DoIt(); // Override
	
	virtual void UndoIt(); // Override
	
	virtual void RedoIt(); // Override
		
  public:
	TDocumentSkeleton* fDocumentSkeleton;
};

#endif
