// MACore.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// MacApp Core header files.

#ifndef __MACORE__
#define __MACORE__

// MacApp

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

#ifndef __CPoint_AC__
#include "CPoint_AC.h"
#endif

#ifndef __CRect_AC__
#include "CRect_AC.h"
#endif

#ifndef __TOOLBOX__
#include "Toolbox.h"
#endif

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

#ifndef __UCOREUTILITIES__
#include "UCoreUtilities.h"
#endif

#ifndef PLATFORMMEMORY_H
#include "PlatformMemory.h"
#endif

#ifndef __UPOINTEROBJECT__
#include "UPointerObject.h"
#endif

#ifndef __UCLASSDESC__
#include "UClassDesc.h"
#endif

#ifndef __USTREAM__
#include "UStream.h"
#endif

#ifndef __UCOREGLOBALS__
#include "UCoreGlobals.h"
#endif

#ifndef __UASSOCIATION__
#include "UAssociation.h"
#endif

#ifndef __UDEBUG__
#include "UDebug.h"
#endif

#ifndef __UCOREERRORMGR__
#include "UCoreErrorMgr.h"
#endif

#ifndef __UMEMORY__
#include "UMemory.h"
#endif

#ifndef __USTREAMABLE__
#include "UStreamable.h"
#endif

// For easier migration to this version, a compatibility map is provided when 
// qBackwardCompatible is true

#if qBackwardCompatible
#	ifndef __Compatibility__
#	include "Compatibility.h"
#	endif
#endif

#endif // __MACORE__
