/************************************************************

    MACoreTypes.r
	MacApp resource type template definitions

    Copyright  1985-96 by Apple Computer, Inc. All rights reserved.

************************************************************/

#ifndef __MACoreTypes__
#define __MACoreTypes__

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

/* Miscellaneous Constants */

#define kForDebugging				128			// ID for mem!, seg!, res!, etc. 
#define kBaseMacApp					129

/*-------------------------------------mem!-------------------------------------*/
type 'mem!' {
		longint;						// add to the size of heap space.
		longint;						// add to heap increment size
		longint;						// add to code reserve size
		longint;						// add to low space reserve size
		longint;						// stack size
};

type 'ppc!' as 'mem!';
type '68k!' as 'mem!';

#endif // __MACoreTypes__
