// Toolbox.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __TOOLBOX__
#define __TOOLBOX__

#ifndef __CRGBColor_AC__
#include "CRGBColor_AC.h"
#endif

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

#ifndef __CFSSpec_AC__
#include "CFSSpec_AC.h"
#endif

//
// miscellaneous calls that simplify coding just the teensiest little bit
//
inline void MoveToPt(Point p) { ::MoveTo(p.h, p.v); }

inline void LineToPt(Point p)
#if qMSWindows
{ ::QTMLLineTo(p.h, p.v); }
#else
{ ::LineTo(p.h, p.v); }
#endif

#endif
