// MAFramework.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// Core MacApp header files.

#ifndef __MAFRAMEWORK__
#define __MAFRAMEWORK__

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif

// MacApp Core

#ifndef __MACORE__
#include "MACore.h"
#endif

// MacApp

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __USCRIPTABLEOBJECT__
#include "UScriptableObject.h"
#endif

#ifndef __UDESIGNATOR__
#include "UDesignator.h"
#endif

#ifndef __UADORNERS__
#include "UAdorners.h"
#endif

#ifndef __UAPPLEEVENTS__
#include "UAppleEvents.h"
#endif

#ifndef __UEVENT__
#include "UEvent.h"
#endif

#ifndef __UEVENTHANDLER__
#include "UEventHandler.h"
#endif

#ifndef __UCOMMAND__
#include "UCommand.h"
#endif

#ifndef __UCOMMANDHANDLER__
#include "UCommandHandler.h"
#endif

#ifndef __UVIEW__
#include "UView.h"
#endif

#ifndef __UBEHAVIOR__
#include "UBehavior.h"
#endif

#ifndef __UBUSYCURSOR__
#include "UBusyCursor.h"
#endif

#ifndef __UCLIPBOARDMGR__
#include "UClipboardMgr.h"
#endif

#ifndef __UCONTROL__
#include "UControl.h"
#endif

#ifndef __UDESKSCRAPVIEW__
#include "UDeskScrapView.h"
#endif

#ifndef __UDIALOGBEHAVIOR__
#include "UDialogBehavior.h"
#endif

#ifndef __UDOCUMENT__
#include "UDocument.h"
#endif

#ifndef __UDRAGDROP__
#include "UDragDrop.h"
#endif

#ifndef __UDRAGDROPBEHAVIOR__
#include "UDragDropBehavior.h"
#endif

#ifndef __UDRAWINGENVIRONMENT__
#include "UDrawingEnvironment.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UFILE__
#include "UFile.h"
#endif

#ifndef __UFILESTREAM__
#include "UFileStream.h"
#endif

#ifndef __UFLOATWINDOW__
#include "UFloatWindow.h"
#endif

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

#ifndef __UPRINTHANDLER__
#include "UPrintHandler.h"
#endif

#ifndef __USCRIPTING__
#include "UScripting.h"
#endif

#ifndef __USCROLLER__
#include "UScroller.h"
#endif

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif

#ifndef __UWINDOW__
#include "UWindow.h"
#endif

#ifndef __UDISPATCHER__
#include "UDispatcher.h"
#endif

#ifndef __UOSASCRIPT__
#include "UOSAScript.h"
#endif

#ifndef __USUBSTITUTION__
#include "USubstitution.h"
#endif

#ifndef __USPEAKABLE__
#include "USpeakable.h"
#endif

#ifndef __UTRACKER__
#include "UTracker.h"
#endif

#ifndef __UUNDO__
#include "UUndo.h"
#endif

#endif // __MAFRAMEWORK__
