// DeskScrapView.r
// MacApp Clipboard display Resources
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved.

//  Auto-Include the requirements for this source

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#if qTemplateViews
resource 'View' (kIDClipWindow,
#if qNames
	"IDClipWindow",
#endif
	purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 679, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{270, 40}, {80, 410}, sizeVariable, sizeVariable, notShown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, noID, goAwayBox, resizable, ignoreFirstClick, 
			dontFreeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, dontForceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kViewStrings, 1}, 3}, 
	ViewSignatureAndClassname
		{'scrl', 187, "", 'SCLR', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {80-kSBarSizeMinus1, 410-kSBarSizeMinus1}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCLR', 'hCLR', {500, 500}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'view', 76, "TDeskScrapView", kIDClipView, notEnabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {500, 500}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		View {}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'hCLR', enabled, noIdle, {}, MAThreeOh, 
		{65, -1}, {16, 397}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, kSystemFontTextStyle, dontPreferOutline, h, 0, 0, 105}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCLR', enabled, noIdle, {}, MAThreeOh, 
		{-1, 395}, {67, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, kSystemFontTextStyle, dontPreferOutline, v, 0, 0, 435}, 
		NoSubviews}
	}
};
#else
resource 'WIND' (kIDClipWindow,
#if qNames
	"IDClipWindow",
#endif
	purgeable) {
	{270, 40, 350, 450},
	zoomDocProc,
	invisible,
	goaway,
	0x0,
	"Clipboard",
	centerMainScreen
};
#endif qTemplateViews


