


#ifndef _MEMMGRPV_
#define _MEMMGRPV_
#pragma once

#ifndef _MEMMGR_
#include "MemMgr.h"
#endif

#ifndef _BESTFITH_
#include "BestFitH.h"
#endif


struct MemHeap {		// All this does is keep scpp quiet; this is a bogus type
};


class BestFitHeap;


//==============================================================================
// GLOBAL VARIABLES
//==============================================================================

extern MMBoolean	 gHaveSOM;			// Is SOM installed?

extern BestFitHeap	*gDefaultHeap;


#if MM_DEBUG
extern MMBoolean gValidate;
extern MMBoolean gHeapChecking;
#endif


#ifdef MEASURE_SOM
extern size_t gSOMTotal;
#endif


//==============================================================================
// FUNCTIONS
//==============================================================================


const char*	BasicValidatePtr( const void *p, MMBoolean mustBeInHeap = kMMTrue );

BestFitHeap* GetHeap( const void* block, const char *op );




#endif