/*
	Dialog.r
	MacApp Resources for UDialog
	Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
*/

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#define		phInvalidValue			300
#define		kInvalidValueReasons	300
#define		kDialogTEViewID			300

#if qTemplateViews
resource 'View' (kDialogTEViewID,
#if qNames
"kDialogTEViewID",
#endif
	purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'tevw', 153, "TDialogTEView", noID, enabled, 0, {}, MAThreeOh, 
		{0, 0}, {0, 0}, sizeRelSuperView, sizeVariable, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		TEView {withoutStyle, crOnly, acceptChanges, freeText, cTyping, unlimited, noInset, justSystem, kSystemFontTextStyle, dontPreferOutline}, 
		NoSubviews}
	}
};
#endif qTemplateViews


resource 'STR#' (kInvalidValueReasons,
#if qNames
	"kInvalidValueReasons",
#endif
	purgeable) {
	{	/* [1] */	"Invalid value";
		/* [2] */	"The value is less than the allowed minimum";
		/* [3] */	"The value is greater than the allowed maximum";
		/* [4] */	"The value contains non-numeric characters";
		/* [5] */	"The value contains too many characters";
	}
};

resource 'DITL' (phInvalidValue,
#if qNames
	"phInvalidValue",
#endif
	purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{55, 288, 75, 348},
		Button {
			enabled,
			"OK"
		};
		/* [2] */
		{10, 75, 42, 348},
		StaticText {
			disabled,
			"^0; previous value substituted."
		};
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			stopIcon
		}
	}
};

resource 'ALRT' (phInvalidValue,
#if qNames
	"phInvalidValue",
#endif
	purgeable) {
	{90, 100, 175, 458},
	phInvalidValue,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

