//----------------------------------------------------------------------------------------
// UIconSuite.cp 
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UICONSUITE__
#include "UIconSuite.h"
#endif


void InitUIconSuite()
{
	if (qTemplateViews)
	{
		MA_REGISTER_SIGNATURE(TIconSuite, kStdIconSuite);
	}
}

//========================================================================================
// CLASS TIconSuite
//========================================================================================
#undef Inherited
#define Inherited TIcon


MA_DEFINE_CLASS(TIconSuite);

//----------------------------------------------------------------------------------------
// TIconSuite::TIconSuite
//----------------------------------------------------------------------------------------


TIconSuite::TIconSuite(const CViewPoint& itsLocation,
							const CViewPoint& itsSize,
							SizeDeterminer itsHSizeDet,
							SizeDeterminer itsVSizeDet,
							ResNumber itsRsrcID,
							bool /*preferColor*/) :
	TIcon(itsLocation, itsSize, itsHSizeDet, itsVSizeDet, itsRsrcID, kAllAvailableData)
{
}

//----------------------------------------------------------------------------------------
// TIconSuite::~TIconSuite
//----------------------------------------------------------------------------------------


TIconSuite::~TIconSuite()
{
}

//----------------------------------------------------------------------------------------
// TIconSuite::GetStandardSignature: 
//----------------------------------------------------------------------------------------


IDType TIconSuite::GetStandardSignature() const		// Override 
{
	return kStdIconSuite;
}


//----------------------------------------------------------------------------------------
// TIconSuite::SetIconRsrcID
//----------------------------------------------------------------------------------------


void TIconSuite::SetIconRsrcID(ResNumber itsRsrcID,
							   bool redraw)
{
	Inherited::SetIconSuiteRsrcID(itsRsrcID, redraw, kAllAvailableData);
}
