// CWMacAppRez68K_nd.r
//
// This file is a prefix file for the Rez compiler
// The 1.4 version of Rez has no knowledge of whether the target is 68K or PPC.
// Also since #pragma __option(xx) isn't supported, you have to hardcode some
// other settings to match your project settings.  This should become automated
// eventually.
//
// MacApp 3.3+ and CW8 (CodeWarrior C/C++ PPC/68K 1.4) version. 
//
//----------------------------------------------------------------------------------------
// Defines

// ========================================================

// 0=nodebug, 1=debug (finer grain control can be found in CWMacAppSwitches.h)
// ========================================================
#if !defined(wantDebugging)
#	define wantDebugging 0
#endif

#if defined(MW_REZ)
	// __MC68881__ and __MC68020__ are set in the processor pane but not when using Rez
	// set these to match your project settings
#	define __MC68881__ 0
#	define __MC68020__ 1
#endif

#include "MacAppRequired.r"
